Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gdal.gdal
Class gdalJNI

    java.lang.Object
      org.gdal.gdal.gdalJNI

    public class gdalJNI

extends Object

Constructor Summary
`gdalJNI()`

Method Summary
`static void` | `AllRegister()`
`static void` | `ApplyGeoTransform(double[] jarg1, double jarg2, double jarg3, double[] jarg4, double[] jarg5)`
`static int` | `AsyncReader_GetNextUpdatedRegion(long jarg1, AsyncReader jarg1_, double jarg2, int[] jarg3, int[] jarg4, int[] jarg5, int[] jarg6)`
`static int` | `AsyncReader_LockBuffer(long jarg1, AsyncReader jarg1_, double jarg2)`
`static void` | `AsyncReader_UnlockBuffer(long jarg1, AsyncReader jarg1_)`
`static long` | `AutoCreateWarpedVRT__SWIG_0(long jarg1, Dataset jarg1_, String jarg2, String jarg3, int jarg4, double jarg5)`
`static long` | `AutoCreateWarpedVRT__SWIG_1(long jarg1, Dataset jarg1_, String jarg2, String jarg3, int jarg4)`
`static long` | `AutoCreateWarpedVRT__SWIG_2(long jarg1, Dataset jarg1_, String jarg2, String jarg3)`
`static long` | `AutoCreateWarpedVRT__SWIG_3(long jarg1, Dataset jarg1_, String jarg2)`
`static long` | `AutoCreateWarpedVRT__SWIG_4(long jarg1, Dataset jarg1_)`
`static int` | `Band_Checksum(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5)`
`static void` | `Band_ComputeBandStats__SWIG_0(long jarg1, Band jarg1_, double[] jarg2, int jarg3)`
`static void` | `Band_ComputeBandStats__SWIG_1(long jarg1, Band jarg1_, double[] jarg2)`
`static void` | `Band_ComputeRasterMinMax__SWIG_0(long jarg1, Band jarg1_, double[] jarg2, int jarg3)`
`static void` | `Band_ComputeRasterMinMax__SWIG_1(long jarg1, Band jarg1_, double[] jarg2)`
`static int` | `Band_ComputeStatistics__SWIG_0(long jarg1, Band jarg1_, boolean jarg2, double[] jarg3, double[] jarg4, double[] jarg5, double[] jarg6, ProgressCallback jarg7)`
`static int` | `Band_ComputeStatistics__SWIG_2(long jarg1, Band jarg1_, boolean jarg2, double[] jarg3, double[] jarg4, double[] jarg5, double[] jarg6)`
`static int` | `Band_ComputeStatistics__SWIG_3(long jarg1, Band jarg1_, boolean jarg2, double[] jarg3, double[] jarg4, double[] jarg5)`
`static int` | `Band_ComputeStatistics__SWIG_4(long jarg1, Band jarg1_, boolean jarg2, double[] jarg3, double[] jarg4)`
`static int` | `Band_ComputeStatistics__SWIG_5(long jarg1, Band jarg1_, boolean jarg2, double[] jarg3)`
`static int` | `Band_ComputeStatistics__SWIG_6(long jarg1, Band jarg1_, boolean jarg2)`
`static int` | `Band_CreateMaskBand(long jarg1, Band jarg1_, int jarg2)`
`static int` | `Band_DataType_get(long jarg1, Band jarg1_)`
`static int` | `Band_Fill__SWIG_0(long jarg1, Band jarg1_, double jarg2, double jarg3)`
`static int` | `Band_Fill__SWIG_1(long jarg1, Band jarg1_, double jarg2)`
`static void` | `Band_FlushCache(long jarg1, Band jarg1_)`
`static int` | `Band_GetBand(long jarg1, Band jarg1_)`
`static void` | `Band_GetBlockSize(long jarg1, Band jarg1_, int[] jarg2, int[] jarg3)`
`static Vector` | `Band_GetCategoryNames(long jarg1, Band jarg1_)`
`static int` | `Band_GetColorInterpretation(long jarg1, Band jarg1_)`
`static long` | `Band_GetColorTable(long jarg1, Band jarg1_)`
`static int` | `Band_GetDefaultHistogram__SWIG_0(long jarg1, Band jarg1_, double[] jarg2, double[] jarg3, int[][] jarg4, boolean jarg6, ProgressCallback jarg7)`
`static int` | `Band_GetDefaultHistogram__SWIG_2(long jarg1, Band jarg1_, double[] jarg2, double[] jarg3, int[][] jarg4, boolean jarg6)`
`static int` | `Band_GetDefaultHistogram__SWIG_3(long jarg1, Band jarg1_, double[] jarg2, double[] jarg3, int[][] jarg4)`
`static long` | `Band_GetDefaultRAT(long jarg1, Band jarg1_)`
`static int` | `Band_GetHistogram__SWIG_0(long jarg1, Band jarg1_, double jarg2, double jarg3, int[] jarg4, boolean jarg6, boolean jarg7, ProgressCallback jarg8)`
`static int` | `Band_GetHistogram__SWIG_1(long jarg1, Band jarg1_, double jarg2, double jarg3, int[] jarg4, boolean jarg6, boolean jarg7)`
`static int` | `Band_GetHistogram__SWIG_2(long jarg1, Band jarg1_, double jarg2, double jarg3, int[] jarg4)`
`static int` | `Band_GetHistogram__SWIG_3(long jarg1, Band jarg1_, int[] jarg2)`
`static long` | `Band_GetMaskBand(long jarg1, Band jarg1_)`
`static int` | `Band_GetMaskFlags(long jarg1, Band jarg1_)`
`static void` | `Band_GetMaximum(long jarg1, Band jarg1_, Double[] jarg2)`
`static void` | `Band_GetMinimum(long jarg1, Band jarg1_, Double[] jarg2)`
`static void` | `Band_GetNoDataValue(long jarg1, Band jarg1_, Double[] jarg2)`
`static void` | `Band_GetOffset(long jarg1, Band jarg1_, Double[] jarg2)`
`static long` | `Band_GetOverview(long jarg1, Band jarg1_, int jarg2)`
`static int` | `Band_GetOverviewCount(long jarg1, Band jarg1_)`
`static Vector` | `Band_GetRasterCategoryNames(long jarg1, Band jarg1_)`
`static int` | `Band_GetRasterColorInterpretation(long jarg1, Band jarg1_)`
`static long` | `Band_GetRasterColorTable(long jarg1, Band jarg1_)`
`static void` | `Band_GetScale(long jarg1, Band jarg1_, Double[] jarg2)`
`static int` | `Band_GetStatistics(long jarg1, Band jarg1_, int jarg2, int jarg3, double[] jarg4, double[] jarg5, double[] jarg6, double[] jarg7)`
`static String` | `Band_GetUnitType(long jarg1, Band jarg1_)`
`static boolean` | `Band_HasArbitraryOverviews(long jarg1, Band jarg1_)`
`static int` | `Band_ReadBlock_Direct(long jarg1, Band jarg1_, int jarg2, int jarg3, ByteBuffer jarg4)`
`static int` | `Band_ReadRaster__SWIG_0(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int jarg11, int jarg12)`
`static int` | `Band_ReadRaster__SWIG_1(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int jarg11)`
`static int` | `Band_ReadRaster__SWIG_10(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int jarg11)`
`static int` | `Band_ReadRaster__SWIG_11(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9)`
`static int` | `Band_ReadRaster__SWIG_12(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int jarg11, int jarg12)`
`static int` | `Band_ReadRaster__SWIG_13(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int jarg11)`
`static int` | `Band_ReadRaster__SWIG_14(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9)`
`static int` | `Band_ReadRaster__SWIG_2(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9)`
`static int` | `Band_ReadRaster__SWIG_3(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int jarg11, int jarg12)`
`static int` | `Band_ReadRaster__SWIG_4(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int jarg11)`
`static int` | `Band_ReadRaster__SWIG_5(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9)`
`static int` | `Band_ReadRaster__SWIG_6(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int jarg11, int jarg12)`
`static int` | `Band_ReadRaster__SWIG_7(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int jarg11)`
`static int` | `Band_ReadRaster__SWIG_8(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9)`
`static int` | `Band_ReadRaster__SWIG_9(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int jarg11, int jarg12)`
`static int` | `Band_ReadRaster_Direct__SWIG_0(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int jarg11, int jarg12)`
`static int` | `Band_ReadRaster_Direct__SWIG_1(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int jarg11)`
`static int` | `Band_ReadRaster_Direct__SWIG_2(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9)`
`static int` | `Band_SetCategoryNames(long jarg1, Band jarg1_, Vector jarg2)`
`static int` | `Band_SetColorInterpretation(long jarg1, Band jarg1_, int jarg2)`
`static int` | `Band_SetColorTable(long jarg1, Band jarg1_, long jarg2, ColorTable jarg2_)`
`static int` | `Band_SetDefaultHistogram(long jarg1, Band jarg1_, double jarg2, double jarg3, int[] jarg4)`
`static int` | `Band_SetDefaultRAT(long jarg1, Band jarg1_, long jarg2, RasterAttributeTable jarg2_)`
`static int` | `Band_SetNoDataValue(long jarg1, Band jarg1_, double jarg2)`
`static int` | `Band_SetOffset(long jarg1, Band jarg1_, double jarg2)`
`static int` | `Band_SetRasterCategoryNames(long jarg1, Band jarg1_, Vector jarg2)`
`static int` | `Band_SetRasterColorInterpretation(long jarg1, Band jarg1_, int jarg2)`
`static int` | `Band_SetRasterColorTable(long jarg1, Band jarg1_, long jarg2, ColorTable jarg2_)`
`static int` | `Band_SetScale(long jarg1, Band jarg1_, double jarg2)`
`static int` | `Band_SetStatistics(long jarg1, Band jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)`
`static int` | `Band_SetUnitType(long jarg1, Band jarg1_, String jarg2)`
`static long` | `Band_SWIGUpcast(long jarg1)`
`static int` | `Band_WriteBlock_Direct(long jarg1, Band jarg1_, int jarg2, int jarg3, ByteBuffer jarg4)`
`static int` | `Band_WriteRaster__SWIG_0(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int jarg11, int jarg12)`
`static int` | `Band_WriteRaster__SWIG_1(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int jarg11)`
`static int` | `Band_WriteRaster__SWIG_10(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int jarg11)`
`static int` | `Band_WriteRaster__SWIG_11(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9)`
`static int` | `Band_WriteRaster__SWIG_12(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int jarg11, int jarg12)`
`static int` | `Band_WriteRaster__SWIG_13(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int jarg11)`
`static int` | `Band_WriteRaster__SWIG_14(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9)`
`static int` | `Band_WriteRaster__SWIG_2(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9)`
`static int` | `Band_WriteRaster__SWIG_3(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int jarg11, int jarg12)`
`static int` | `Band_WriteRaster__SWIG_4(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int jarg11)`
`static int` | `Band_WriteRaster__SWIG_5(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9)`
`static int` | `Band_WriteRaster__SWIG_6(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int jarg11, int jarg12)`
`static int` | `Band_WriteRaster__SWIG_7(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int jarg11)`
`static int` | `Band_WriteRaster__SWIG_8(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9)`
`static int` | `Band_WriteRaster__SWIG_9(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int jarg11, int jarg12)`
`static int` | `Band_WriteRaster_Direct__SWIG_0(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int jarg11, int jarg12)`
`static int` | `Band_WriteRaster_Direct__SWIG_1(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int jarg11)`
`static int` | `Band_WriteRaster_Direct__SWIG_2(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9)`
`static int` | `Band_XSize_get(long jarg1, Band jarg1_)`
`static int` | `Band_YSize_get(long jarg1, Band jarg1_)`
`static long` | `ColorTable_Clone(long jarg1, ColorTable jarg1_)`
`static void` | `ColorTable_CreateColorRamp(long jarg1, ColorTable jarg1_, int jarg2, Color jarg3, int jarg4, Color jarg5)`
`static Color` | `ColorTable_GetColorEntry(long jarg1, ColorTable jarg1_, int jarg2)`
`static int` | `ColorTable_GetCount(long jarg1, ColorTable jarg1_)`
`static int` | `ColorTable_GetPaletteInterpretation(long jarg1, ColorTable jarg1_)`
`static void` | `ColorTable_SetColorEntry(long jarg1, ColorTable jarg1_, int jarg2, Color jarg3)`
`static int` | `ComputeMedianCutPCT__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4, long jarg5, ColorTable jarg5_, ProgressCallback jarg6)`
`static int` | `ComputeMedianCutPCT__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4, long jarg5, ColorTable jarg5_)`
`static int` | `ComputeProximity__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, Vector jarg3, ProgressCallback jarg4)`
`static int` | `ComputeProximity__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, Vector jarg3)`
`static int` | `ComputeProximity__SWIG_3(long jarg1, Band jarg1_, long jarg2, Band jarg2_)`
`static int` | `ContourGenerate__SWIG_0(long jarg1, Band jarg1_, double jarg2, double jarg3, double[] jarg4, int jarg6, double jarg7, Layer jarg8, int jarg9, int jarg10, ProgressCallback jarg11)`
`static int` | `ContourGenerate__SWIG_2(long jarg1, Band jarg1_, double jarg2, double jarg3, double[] jarg4, int jarg6, double jarg7, Layer jarg8, int jarg9, int jarg10)`
`static String` | `CPLBinaryToHex(byte[] jarg1)`
`static byte[]` | `CPLHexToBinary(String jarg1)`
`static int` | `CXT_Attribute_get()`
`static int` | `CXT_Comment_get()`
`static int` | `CXT_Element_get()`
`static int` | `CXT_Literal_get()`
`static int` | `CXT_Text_get()`
`static int` | `Dataset_AddBand__SWIG_0(long jarg1, Dataset jarg1_, int jarg2, Vector jarg3)`
`static int` | `Dataset_AddBand__SWIG_1(long jarg1, Dataset jarg1_, int jarg2)`
`static int` | `Dataset_AddBand__SWIG_2(long jarg1, Dataset jarg1_)`
`static int` | `Dataset_BuildOverviews__SWIG_0(long jarg1, Dataset jarg1_, String jarg2, int[] jarg3, ProgressCallback jarg5)`
`static int` | `Dataset_BuildOverviews__SWIG_2(long jarg1, Dataset jarg1_, String jarg2, int[] jarg3)`
`static int` | `Dataset_CreateMaskBand(long jarg1, Dataset jarg1_, int jarg2)`
`static void` | `Dataset_FlushCache(long jarg1, Dataset jarg1_)`
`static long` | `Dataset_GetDriver(long jarg1, Dataset jarg1_)`
`static Vector` | `Dataset_GetFileList(long jarg1, Dataset jarg1_)`
`static int` | `Dataset_GetGCPCount(long jarg1, Dataset jarg1_)`
`static String` | `Dataset_GetGCPProjection(long jarg1, Dataset jarg1_)`
`static void` | `Dataset_GetGCPs(long jarg1, Dataset jarg1_, Vector jarg2)`
`static void` | `Dataset_GetGeoTransform(long jarg1, Dataset jarg1_, double[] jarg2)`
`static String` | `Dataset_GetProjection(long jarg1, Dataset jarg1_)`
`static String` | `Dataset_GetProjectionRef(long jarg1, Dataset jarg1_)`
`static long` | `Dataset_GetRasterBand(long jarg1, Dataset jarg1_, int jarg2)`
`static int` | `Dataset_RasterCount_get(long jarg1, Dataset jarg1_)`
`static int` | `Dataset_RasterXSize_get(long jarg1, Dataset jarg1_)`
`static int` | `Dataset_RasterYSize_get(long jarg1, Dataset jarg1_)`
`static int` | `Dataset_ReadRaster__SWIG_0(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
`static int` | `Dataset_ReadRaster__SWIG_1(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13, int jarg14)`
`static int` | `Dataset_ReadRaster__SWIG_10(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13)`
`static int` | `Dataset_ReadRaster__SWIG_11(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11)`
`static int` | `Dataset_ReadRaster__SWIG_12(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
`static int` | `Dataset_ReadRaster__SWIG_13(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13, int jarg14)`
`static int` | `Dataset_ReadRaster__SWIG_14(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13)`
`static int` | `Dataset_ReadRaster__SWIG_15(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11)`
`static int` | `Dataset_ReadRaster__SWIG_16(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
`static int` | `Dataset_ReadRaster__SWIG_17(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13, int jarg14)`
`static int` | `Dataset_ReadRaster__SWIG_18(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13)`
`static int` | `Dataset_ReadRaster__SWIG_19(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11)`
`static int` | `Dataset_ReadRaster__SWIG_2(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13)`
`static int` | `Dataset_ReadRaster__SWIG_3(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11)`
`static int` | `Dataset_ReadRaster__SWIG_4(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
`static int` | `Dataset_ReadRaster__SWIG_5(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13, int jarg14)`
`static int` | `Dataset_ReadRaster__SWIG_6(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13)`
`static int` | `Dataset_ReadRaster__SWIG_7(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11)`
`static int` | `Dataset_ReadRaster__SWIG_8(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
`static int` | `Dataset_ReadRaster__SWIG_9(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13, int jarg14)`
`static int` | `Dataset_ReadRaster_Direct__SWIG_0(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
`static int` | `Dataset_ReadRaster_Direct__SWIG_1(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11, int jarg13, int jarg14)`
`static int` | `Dataset_ReadRaster_Direct__SWIG_2(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11, int jarg13)`
`static int` | `Dataset_ReadRaster_Direct__SWIG_3(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11)`
`static int` | `Dataset_SetGCPs(long jarg1, Dataset jarg1_, GCP[] jarg2, String jarg4)`
`static int` | `Dataset_SetGeoTransform(long jarg1, Dataset jarg1_, double[] jarg2)`
`static int` | `Dataset_SetProjection(long jarg1, Dataset jarg1_, String jarg2)`
`static long` | `Dataset_SWIGUpcast(long jarg1)`
`static int` | `Dataset_WriteRaster__SWIG_0(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
`static int` | `Dataset_WriteRaster__SWIG_1(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13, int jarg14)`
`static int` | `Dataset_WriteRaster__SWIG_10(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13)`
`static int` | `Dataset_WriteRaster__SWIG_11(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11)`
`static int` | `Dataset_WriteRaster__SWIG_12(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
`static int` | `Dataset_WriteRaster__SWIG_13(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13, int jarg14)`
`static int` | `Dataset_WriteRaster__SWIG_14(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13)`
`static int` | `Dataset_WriteRaster__SWIG_15(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11)`
`static int` | `Dataset_WriteRaster__SWIG_16(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
`static int` | `Dataset_WriteRaster__SWIG_17(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13, int jarg14)`
`static int` | `Dataset_WriteRaster__SWIG_18(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13)`
`static int` | `Dataset_WriteRaster__SWIG_19(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11)`
`static int` | `Dataset_WriteRaster__SWIG_2(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13)`
`static int` | `Dataset_WriteRaster__SWIG_3(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11)`
`static int` | `Dataset_WriteRaster__SWIG_4(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
`static int` | `Dataset_WriteRaster__SWIG_5(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13, int jarg14)`
`static int` | `Dataset_WriteRaster__SWIG_6(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13)`
`static int` | `Dataset_WriteRaster__SWIG_7(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11)`
`static int` | `Dataset_WriteRaster__SWIG_8(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
`static int` | `Dataset_WriteRaster__SWIG_9(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13, int jarg14)`
`static int` | `Dataset_WriteRaster_Direct__SWIG_0(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
`static int` | `Dataset_WriteRaster_Direct__SWIG_1(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11, int jarg13, int jarg14)`
`static int` | `Dataset_WriteRaster_Direct__SWIG_2(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11, int jarg13)`
`static int` | `Dataset_WriteRaster_Direct__SWIG_3(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11)`
`static int` | `DataTypeIsComplex(int jarg1)`
`static void` | `Debug(String jarg1, String jarg2)`
`static String` | `DecToDMS__SWIG_0(double jarg1, String jarg2, int jarg3)`
`static String` | `DecToDMS__SWIG_1(double jarg1, String jarg2)`
`static double` | `DecToPackedDMS(double jarg1)`
`static void` | `delete_AsyncReader(long jarg1)`
`static void` | `delete_ColorTable(long jarg1)`
`static void` | `delete_Dataset(long jarg1)`
`static void` | `delete_GCP(long jarg1)`
`static void` | `delete_ProgressCallback(long jarg1)`
`static void` | `delete_RasterAttributeTable(long jarg1)`
`static void` | `delete_TermProgressCallback(long jarg1)`
`static void` | `delete_Transformer(long jarg1)`
`static void` | `delete_XMLNode(long jarg1)`
`static int` | `DitherRGB2PCT__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, long jarg4, Band jarg4_, long jarg5, ColorTable jarg5_, ProgressCallback jarg6)`
`static int` | `DitherRGB2PCT__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, long jarg4, Band jarg4_, long jarg5, ColorTable jarg5_)`
`static int` | `Driver_CopyFiles(long jarg1, Driver jarg1_, String jarg2, String jarg3)`
`static long` | `Driver_Create__SWIG_0(long jarg1, Driver jarg1_, String jarg2, int jarg3, int jarg4, int jarg5, int jarg6, Vector jarg7)`
`static long` | `Driver_Create__SWIG_1(long jarg1, Driver jarg1_, String jarg2, int jarg3, int jarg4, int jarg5, int jarg6)`
`static long` | `Driver_Create__SWIG_2(long jarg1, Driver jarg1_, String jarg2, int jarg3, int jarg4, int jarg5)`
`static long` | `Driver_Create__SWIG_3(long jarg1, Driver jarg1_, String jarg2, int jarg3, int jarg4)`
`static long` | `Driver_CreateCopy__SWIG_0(long jarg1, Driver jarg1_, String jarg2, long jarg3, Dataset jarg3_, int jarg4, Vector jarg5, ProgressCallback jarg6)`
`static long` | `Driver_CreateCopy__SWIG_2(long jarg1, Driver jarg1_, String jarg2, long jarg3, Dataset jarg3_, int jarg4, Vector jarg5)`
`static long` | `Driver_CreateCopy__SWIG_3(long jarg1, Driver jarg1_, String jarg2, long jarg3, Dataset jarg3_, int jarg4)`
`static long` | `Driver_CreateCopy__SWIG_4(long jarg1, Driver jarg1_, String jarg2, long jarg3, Dataset jarg3_)`
`static int` | `Driver_Delete(long jarg1, Driver jarg1_, String jarg2)`
`static void` | `Driver_Deregister(long jarg1, Driver jarg1_)`
`static String` | `Driver_HelpTopic_get(long jarg1, Driver jarg1_)`
`static String` | `Driver_LongName_get(long jarg1, Driver jarg1_)`
`static int` | `Driver_Register(long jarg1, Driver jarg1_)`
`static int` | `Driver_Rename(long jarg1, Driver jarg1_, String jarg2, String jarg3)`
`static String` | `Driver_ShortName_get(long jarg1, Driver jarg1_)`
`static long` | `Driver_SWIGUpcast(long jarg1)`
`static void` | `Error(int jarg1, int jarg2, String jarg3)`
`static void` | `ErrorReset()`
`static String` | `EscapeString__SWIG_0(byte[] jarg1, int jarg3)`
`static String` | `EscapeString__SWIG_1(String jarg1, int jarg2)`
`static void` | `FileFromMemBuffer(String jarg1, byte[] jarg2)`
`static int` | `FillNodata__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, double jarg3, int jarg4, Vector jarg5, ProgressCallback jarg6)`
`static int` | `FillNodata__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, double jarg3, int jarg4, Vector jarg5)`
`static int` | `FillNodata__SWIG_3(long jarg1, Band jarg1_, long jarg2, Band jarg2_, double jarg3, int jarg4)`
`static void` | `FinderClean()`
`static String` | `FindFile(String jarg1, String jarg2)`
`static double` | `GCP_GCPLine_get(long jarg1, GCP jarg1_)`
`static void` | `GCP_GCPLine_set(long jarg1, GCP jarg1_, double jarg2)`
`static double` | `GCP_GCPPixel_get(long jarg1, GCP jarg1_)`
`static void` | `GCP_GCPPixel_set(long jarg1, GCP jarg1_, double jarg2)`
`static double` | `GCP_GCPX_get(long jarg1, GCP jarg1_)`
`static void` | `GCP_GCPX_set(long jarg1, GCP jarg1_, double jarg2)`
`static double` | `GCP_GCPY_get(long jarg1, GCP jarg1_)`
`static void` | `GCP_GCPY_set(long jarg1, GCP jarg1_, double jarg2)`
`static double` | `GCP_GCPZ_get(long jarg1, GCP jarg1_)`
`static void` | `GCP_GCPZ_set(long jarg1, GCP jarg1_, double jarg2)`
`static String` | `GCP_Id_get(long jarg1, GCP jarg1_)`
`static void` | `GCP_Id_set(long jarg1, GCP jarg1_, String jarg2)`
`static String` | `GCP_Info_get(long jarg1, GCP jarg1_)`
`static void` | `GCP_Info_set(long jarg1, GCP jarg1_, String jarg2)`
`static int` | `GCPsToGeoTransform__SWIG_0(GCP[] jarg1, double[] jarg3, int jarg4)`
`static int` | `GCPsToGeoTransform__SWIG_1(GCP[] jarg1, double[] jarg3)`
`static double` | `GDAL_GCP_GCPLine_get(long jarg1, GCP jarg1_)`
`static void` | `GDAL_GCP_GCPLine_set(long jarg1, GCP jarg1_, double jarg2)`
`static double` | `GDAL_GCP_GCPPixel_get(long jarg1, GCP jarg1_)`
`static void` | `GDAL_GCP_GCPPixel_set(long jarg1, GCP jarg1_, double jarg2)`
`static double` | `GDAL_GCP_GCPX_get(long jarg1, GCP jarg1_)`
`static void` | `GDAL_GCP_GCPX_set(long jarg1, GCP jarg1_, double jarg2)`
`static double` | `GDAL_GCP_GCPY_get(long jarg1, GCP jarg1_)`
`static void` | `GDAL_GCP_GCPY_set(long jarg1, GCP jarg1_, double jarg2)`
`static double` | `GDAL_GCP_GCPZ_get(long jarg1, GCP jarg1_)`
`static void` | `GDAL_GCP_GCPZ_set(long jarg1, GCP jarg1_, double jarg2)`
`static double` | `GDAL_GCP_get_GCPLine(long jarg1, GCP jarg1_)`
`static double` | `GDAL_GCP_get_GCPPixel(long jarg1, GCP jarg1_)`
`static double` | `GDAL_GCP_get_GCPX(long jarg1, GCP jarg1_)`
`static double` | `GDAL_GCP_get_GCPY(long jarg1, GCP jarg1_)`
`static double` | `GDAL_GCP_get_GCPZ(long jarg1, GCP jarg1_)`
`static String` | `GDAL_GCP_get_Id(long jarg1, GCP jarg1_)`
`static String` | `GDAL_GCP_get_Info(long jarg1, GCP jarg1_)`
`static String` | `GDAL_GCP_Id_get(long jarg1, GCP jarg1_)`
`static void` | `GDAL_GCP_Id_set(long jarg1, GCP jarg1_, String jarg2)`
`static String` | `GDAL_GCP_Info_get(long jarg1, GCP jarg1_)`
`static void` | `GDAL_GCP_Info_set(long jarg1, GCP jarg1_, String jarg2)`
`static void` | `GDAL_GCP_set_GCPLine(long jarg1, GCP jarg1_, double jarg2)`
`static void` | `GDAL_GCP_set_GCPPixel(long jarg1, GCP jarg1_, double jarg2)`
`static void` | `GDAL_GCP_set_GCPX(long jarg1, GCP jarg1_, double jarg2)`
`static void` | `GDAL_GCP_set_GCPY(long jarg1, GCP jarg1_, double jarg2)`
`static void` | `GDAL_GCP_set_GCPZ(long jarg1, GCP jarg1_, double jarg2)`
`static void` | `GDAL_GCP_set_Id(long jarg1, GCP jarg1_, String jarg2)`
`static void` | `GDAL_GCP_set_Info(long jarg1, GCP jarg1_, String jarg2)`
`static void` | `GDALDestroyDriverManager()`
`static Vector` | `GeneralCmdLineProcessor__SWIG_0(Vector jarg1, int jarg2)`
`static Vector` | `GeneralCmdLineProcessor__SWIG_1(Vector jarg1)`
`static int` | `GetCacheMax()`
`static int` | `GetCacheUsed()`
`static String` | `GetColorInterpretationName(int jarg1)`
`static String` | `GetConfigOption__SWIG_0(String jarg1, String jarg2)`
`static String` | `GetConfigOption__SWIG_1(String jarg1)`
`static int` | `GetDataTypeByName(String jarg1)`
`static String` | `GetDataTypeName(int jarg1)`
`static int` | `GetDataTypeSize(int jarg1)`
`static long` | `GetDriver(int jarg1)`
`static long` | `GetDriverByName(String jarg1)`
`static int` | `GetDriverCount()`
`static String` | `GetLastErrorMsg()`
`static int` | `GetLastErrorNo()`
`static int` | `GetLastErrorType()`
`static String` | `GetPaletteInterpretationName(int jarg1)`
`static int` | `GridCreate__SWIG_0(String jarg1, double[][] jarg2, double jarg6, double jarg7, double jarg8, double jarg9, int jarg10, int jarg11, int jarg12, ByteBuffer jarg13, ProgressCallback jarg15)`
`static int` | `GridCreate__SWIG_2(String jarg1, double[][] jarg2, double jarg6, double jarg7, double jarg8, double jarg9, int jarg10, int jarg11, int jarg12, ByteBuffer jarg13)`
`static int` | `HasThreadSupport()`
`static long` | `IdentifyDriver__SWIG_0(String jarg1, Vector jarg2)`
`static long` | `IdentifyDriver__SWIG_1(String jarg1)`
`static int` | `InvGeoTransform(double[] jarg1, double[] jarg2)`
`static boolean` | `isAvailable()`
`static String` | `MajorObject_GetDescription(long jarg1, MajorObject jarg1_)`
`static Hashtable` | `MajorObject_GetMetadata_Dict__SWIG_0(long jarg1, MajorObject jarg1_, String jarg2)`
`static Hashtable` | `MajorObject_GetMetadata_Dict__SWIG_1(long jarg1, MajorObject jarg1_)`
`static Vector` | `MajorObject_GetMetadata_List__SWIG_0(long jarg1, MajorObject jarg1_, String jarg2)`
`static Vector` | `MajorObject_GetMetadata_List__SWIG_1(long jarg1, MajorObject jarg1_)`
`static String` | `MajorObject_GetMetadataItem__SWIG_0(long jarg1, MajorObject jarg1_, String jarg2, String jarg3)`
`static String` | `MajorObject_GetMetadataItem__SWIG_1(long jarg1, MajorObject jarg1_, String jarg2)`
`static void` | `MajorObject_SetDescription(long jarg1, MajorObject jarg1_, String jarg2)`
`static int` | `MajorObject_SetMetadata__SWIG_0(long jarg1, MajorObject jarg1_, Vector jarg2, String jarg3)`
`static int` | `MajorObject_SetMetadata__SWIG_1(long jarg1, MajorObject jarg1_, Vector jarg2)`
`static int` | `MajorObject_SetMetadata__SWIG_2(long jarg1, MajorObject jarg1_, String jarg2, String jarg3)`
`static int` | `MajorObject_SetMetadata__SWIG_3(long jarg1, MajorObject jarg1_, String jarg2)`
`static int` | `MajorObject_SetMetadataItem__SWIG_0(long jarg1, MajorObject jarg1_, String jarg2, String jarg3, String jarg4)`
`static int` | `MajorObject_SetMetadataItem__SWIG_1(long jarg1, MajorObject jarg1_, String jarg2, String jarg3)`
`static int` | `Mkdir(String jarg1, int jarg2)`
`static long` | `new_ColorTable__SWIG_0(int jarg1)`
`static long` | `new_ColorTable__SWIG_1()`
`static long` | `new_GCP(double jarg1, double jarg2, double jarg3, double jarg4, double jarg5, String jarg6, String jarg7)`
`static long` | `new_ProgressCallback()`
`static long` | `new_RasterAttributeTable()`
`static long` | `new_TermProgressCallback()`
`static long` | `new_Transformer(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, Vector jarg3)`
`static long` | `new_XMLNode__SWIG_0(String jarg1)`
`static long` | `new_XMLNode__SWIG_1(int jarg1, String jarg2)`
`static long` | `Open__SWIG_0(String jarg1, int jarg2)`
`static long` | `Open__SWIG_1(String jarg1)`
`static long` | `OpenShared__SWIG_0(String jarg1, int jarg2)`
`static long` | `OpenShared__SWIG_1(String jarg1)`
`static double` | `PackedDMSToDec(double jarg1)`
`static long` | `ParseXMLString(String jarg1)`
`static int` | `Polygonize__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, Layer jarg3, int jarg4, Vector jarg5, ProgressCallback jarg6)`
`static int` | `Polygonize__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, Layer jarg3, int jarg4, Vector jarg5)`
`static int` | `Polygonize__SWIG_3(long jarg1, Band jarg1_, long jarg2, Band jarg2_, Layer jarg3, int jarg4)`
`static void` | `PopErrorHandler()`
`static void` | `PopFinderLocation()`
`static int` | `ProgressCallback_run(long jarg1, ProgressCallback jarg1_, double jarg2, String jarg3)`
`static int` | `PushErrorHandler__SWIG_0(String jarg1)`
`static int` | `PushErrorHandler__SWIG_1()`
`static void` | `PushFinderLocation(String jarg1)`
`static long` | `RasterAttributeTable_Clone(long jarg1, RasterAttributeTable jarg1_)`
`static int` | `RasterAttributeTable_CreateColumn(long jarg1, RasterAttributeTable jarg1_, String jarg2, int jarg3, int jarg4)`
`static int` | `RasterAttributeTable_GetColOfUsage(long jarg1, RasterAttributeTable jarg1_, int jarg2)`
`static int` | `RasterAttributeTable_GetColumnCount(long jarg1, RasterAttributeTable jarg1_)`
`static boolean` | `RasterAttributeTable_GetLinearBinning(long jarg1, RasterAttributeTable jarg1_, double[] jarg2, double[] jarg3)`
`static String` | `RasterAttributeTable_GetNameOfCol(long jarg1, RasterAttributeTable jarg1_, int jarg2)`
`static int` | `RasterAttributeTable_GetRowCount(long jarg1, RasterAttributeTable jarg1_)`
`static int` | `RasterAttributeTable_GetRowOfValue(long jarg1, RasterAttributeTable jarg1_, double jarg2)`
`static int` | `RasterAttributeTable_GetTypeOfCol(long jarg1, RasterAttributeTable jarg1_, int jarg2)`
`static int` | `RasterAttributeTable_GetUsageOfCol(long jarg1, RasterAttributeTable jarg1_, int jarg2)`
`static double` | `RasterAttributeTable_GetValueAsDouble(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3)`
`static int` | `RasterAttributeTable_GetValueAsInt(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3)`
`static String` | `RasterAttributeTable_GetValueAsString(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3)`
`static int` | `RasterAttributeTable_SetLinearBinning(long jarg1, RasterAttributeTable jarg1_, double jarg2, double jarg3)`
`static void` | `RasterAttributeTable_SetRowCount(long jarg1, RasterAttributeTable jarg1_, int jarg2)`
`static void` | `RasterAttributeTable_SetValueAsDouble(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3, double jarg4)`
`static void` | `RasterAttributeTable_SetValueAsInt(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3, int jarg4)`
`static void` | `RasterAttributeTable_SetValueAsString(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3, String jarg4)`
`static int` | `RasterizeLayer__SWIG_0(long jarg1, Dataset jarg1_, int[] jarg2, Layer jarg4, double[] jarg5, Vector jarg7, ProgressCallback jarg8)`
`static int` | `RasterizeLayer__SWIG_2(long jarg1, Dataset jarg1_, int[] jarg2, Layer jarg4, double[] jarg5, Vector jarg7)`
`static int` | `RasterizeLayer__SWIG_3(long jarg1, Dataset jarg1_, int[] jarg2, Layer jarg4, double[] jarg5)`
`static int` | `RasterizeLayer__SWIG_5(long jarg1, Dataset jarg1_, int[] jarg2, Layer jarg4)`
`static Vector` | `ReadDir(String jarg1)`
`static Vector` | `ReadDirRecursive(String jarg1)`
`static int` | `RegenerateOverview__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, String jarg3, ProgressCallback jarg4)`
`static int` | `RegenerateOverview__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, String jarg3)`
`static int` | `RegenerateOverview__SWIG_3(long jarg1, Band jarg1_, long jarg2, Band jarg2_)`
`static int` | `RegenerateOverviews__SWIG_0(long jarg1, Band jarg1_, Band[] jarg2, String jarg4, ProgressCallback jarg5)`
`static int` | `RegenerateOverviews__SWIG_2(long jarg1, Band jarg1_, Band[] jarg2, String jarg4)`
`static int` | `RegenerateOverviews__SWIG_3(long jarg1, Band jarg1_, Band[] jarg2)`
`static int` | `Rename(String jarg1, String jarg2)`
`static int` | `ReprojectImage__SWIG_0(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, String jarg3, String jarg4, int jarg5, double jarg6, double jarg7, ProgressCallback jarg8)`
`static int` | `ReprojectImage__SWIG_2(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, String jarg3, String jarg4, int jarg5, double jarg6, double jarg7)`
`static int` | `ReprojectImage__SWIG_3(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, String jarg3, String jarg4, int jarg5, double jarg6)`
`static int` | `ReprojectImage__SWIG_4(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, String jarg3, String jarg4, int jarg5)`
`static int` | `ReprojectImage__SWIG_5(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, String jarg3, String jarg4)`
`static int` | `ReprojectImage__SWIG_6(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, String jarg3)`
`static int` | `ReprojectImage__SWIG_7(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_)`
`static int` | `Rmdir(String jarg1)`
`static String` | `SerializeXMLTree(long jarg1, XMLNode jarg1_)`
`static void` | `SetCacheMax(int jarg1)`
`static void` | `SetConfigOption(String jarg1, String jarg2)`
`static int` | `SieveFilter__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4, int jarg5, Vector jarg6, ProgressCallback jarg7)`
`static int` | `SieveFilter__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4, int jarg5, Vector jarg6)`
`static int` | `SieveFilter__SWIG_3(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4, int jarg5)`
`static int` | `SieveFilter__SWIG_4(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4)`
`static int` | `TermProgressCallback_run(long jarg1, TermProgressCallback jarg1_, double jarg2, String jarg3)`
`static long` | `TermProgressCallback_SWIGUpcast(long jarg1)`
`static int` | `Transformer_TransformGeolocations__SWIG_0(long jarg1, Transformer jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, long jarg4, Band jarg4_, ProgressCallback jarg5, Vector jarg7)`
`static int` | `Transformer_TransformGeolocations__SWIG_1(long jarg1, Transformer jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, long jarg4, Band jarg4_, ProgressCallback jarg5)`
`static int` | `Transformer_TransformGeolocations__SWIG_3(long jarg1, Transformer jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, long jarg4, Band jarg4_)`
`static int` | `Transformer_TransformPoint__SWIG_0(long jarg1, Transformer jarg1_, int jarg2, double[] jarg3)`
`static int` | `Transformer_TransformPoint__SWIG_1(long jarg1, Transformer jarg1_, double[] jarg2, int jarg3, double jarg4, double jarg5, double jarg6)`
`static int` | `Transformer_TransformPoint__SWIG_2(long jarg1, Transformer jarg1_, double[] jarg2, int jarg3, double jarg4, double jarg5)`
`static int` | `Transformer_TransformPoints(long jarg1, Transformer jarg1_, int jarg2, double[][] jarg3, int[] jarg7)`
`static int` | `Unlink(String jarg1)`
`static String` | `VersionInfo__SWIG_0(String jarg1)`
`static String` | `VersionInfo__SWIG_1()`
`static void` | `XMLNode_AddXMLChild(long jarg1, XMLNode jarg1_, long jarg2, XMLNode jarg2_)`
`static void` | `XMLNode_AddXMLSibling(long jarg1, XMLNode jarg1_, long jarg2, XMLNode jarg2_)`
`static long` | `XMLNode_Child_get(long jarg1, XMLNode jarg1_)`
`static long` | `XMLNode_Clone(long jarg1, XMLNode jarg1_)`
`static long` | `XMLNode_GetXMLNode(long jarg1, XMLNode jarg1_, String jarg2)`
`static String` | `XMLNode_GetXMLValue(long jarg1, XMLNode jarg1_, String jarg2, String jarg3)`
`static long` | `XMLNode_Next_get(long jarg1, XMLNode jarg1_)`
`static long` | `XMLNode_ParseXMLFile(String jarg1)`
`static long` | `XMLNode_SearchXMLNode(long jarg1, XMLNode jarg1_, String jarg2)`
`static String` | `XMLNode_SerializeXMLTree(long jarg1, XMLNode jarg1_)`
`static int` | `XMLNode_SetXMLValue(long jarg1, XMLNode jarg1_, String jarg2, String jarg3)`
`static void` | `XMLNode_StripXMLNamespace(long jarg1, XMLNode jarg1_, String jarg2, int jarg3)`
`static String` | `XMLNode_toString(long jarg1, XMLNode jarg1_)`
`static int` | `XMLNode_Type_get(long jarg1, XMLNode jarg1_)`
`static String` | `XMLNode_Value_get(long jarg1, XMLNode jarg1_)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### gdalJNI

    public gdalJNI()

Method Detail

### isAvailable

    public static boolean isAvailable()

### delete_ProgressCallback

    public static final void delete_ProgressCallback(long jarg1)

### ProgressCallback_run

    public static final int ProgressCallback_run(long jarg1,
                                                 ProgressCallback jarg1_,
                                                 double jarg2,
                                                 String jarg3)

### new_ProgressCallback

    public static final long new_ProgressCallback()

### new_TermProgressCallback

    public static final long new_TermProgressCallback()

### TermProgressCallback_run

    public static final int TermProgressCallback_run(long jarg1,
                                                     TermProgressCallback jarg1_,
                                                     double jarg2,
                                                     String jarg3)

### delete_TermProgressCallback

    public static final void delete_TermProgressCallback(long jarg1)

### Debug

    public static final void Debug(String jarg1,
                                   String jarg2)

### PushErrorHandler__SWIG_0

    public static final int PushErrorHandler__SWIG_0(String jarg1)

### PushErrorHandler__SWIG_1

    public static final int PushErrorHandler__SWIG_1()

### Error

    public static final void Error(int jarg1,
                                   int jarg2,
                                   String jarg3)

### PopErrorHandler

    public static final void PopErrorHandler()

### ErrorReset

    public static final void ErrorReset()

### EscapeString__SWIG_0

    public static final String EscapeString__SWIG_0(byte[] jarg1,
                                                    int jarg3)

### EscapeString__SWIG_1

    public static final String EscapeString__SWIG_1(String jarg1,
                                                    int jarg2)

### GetLastErrorNo

    public static final int GetLastErrorNo()

### GetLastErrorType

    public static final int GetLastErrorType()

### GetLastErrorMsg

    public static final String GetLastErrorMsg()

### PushFinderLocation

    public static final void PushFinderLocation(String jarg1)

### PopFinderLocation

    public static final void PopFinderLocation()

### FinderClean

    public static final void FinderClean()

### FindFile

    public static final String FindFile(String jarg1,
                                        String jarg2)

### ReadDir

    public static final Vector ReadDir(String jarg1)

### ReadDirRecursive

    public static final Vector ReadDirRecursive(String jarg1)

### SetConfigOption

    public static final void SetConfigOption(String jarg1,
                                             String jarg2)

### GetConfigOption__SWIG_0

    public static final String GetConfigOption__SWIG_0(String jarg1,
                                                       String jarg2)

### GetConfigOption__SWIG_1

    public static final String GetConfigOption__SWIG_1(String jarg1)

### CPLBinaryToHex

    public static final String CPLBinaryToHex(byte[] jarg1)

### CPLHexToBinary

    public static final byte[] CPLHexToBinary(String jarg1)

### FileFromMemBuffer

    public static final void FileFromMemBuffer(String jarg1,
                                               byte[] jarg2)

### Unlink

    public static final int Unlink(String jarg1)

### HasThreadSupport

    public static final int HasThreadSupport()

### Mkdir

    public static final int Mkdir(String jarg1,
                                  int jarg2)

### Rmdir

    public static final int Rmdir(String jarg1)

### Rename

    public static final int Rename(String jarg1,
                                   String jarg2)

### CXT_Element_get

    public static final int CXT_Element_get()

### CXT_Text_get

    public static final int CXT_Text_get()

### CXT_Attribute_get

    public static final int CXT_Attribute_get()

### CXT_Comment_get

    public static final int CXT_Comment_get()

### CXT_Literal_get

    public static final int CXT_Literal_get()

### XMLNode_Type_get

    public static final int XMLNode_Type_get(long jarg1,
                                             XMLNode jarg1_)

### XMLNode_Value_get

    public static final String XMLNode_Value_get(long jarg1,
                                                 XMLNode jarg1_)

### XMLNode_Next_get

    public static final long XMLNode_Next_get(long jarg1,
                                              XMLNode jarg1_)

### XMLNode_Child_get

    public static final long XMLNode_Child_get(long jarg1,
                                               XMLNode jarg1_)

### new_XMLNode__SWIG_0

    public static final long new_XMLNode__SWIG_0(String jarg1)

### new_XMLNode__SWIG_1

    public static final long new_XMLNode__SWIG_1(int jarg1,
                                                 String jarg2)

### delete_XMLNode

    public static final void delete_XMLNode(long jarg1)

### XMLNode_ParseXMLFile

    public static final long XMLNode_ParseXMLFile(String jarg1)

### XMLNode_SerializeXMLTree

    public static final String XMLNode_SerializeXMLTree(long jarg1,
                                                        XMLNode jarg1_)

### XMLNode_toString

    public static final String XMLNode_toString(long jarg1,
                                                XMLNode jarg1_)

### XMLNode_SearchXMLNode

    public static final long XMLNode_SearchXMLNode(long jarg1,
                                                   XMLNode jarg1_,
                                                   String jarg2)

### XMLNode_GetXMLNode

    public static final long XMLNode_GetXMLNode(long jarg1,
                                                XMLNode jarg1_,
                                                String jarg2)

### XMLNode_GetXMLValue

    public static final String XMLNode_GetXMLValue(long jarg1,
                                                   XMLNode jarg1_,
                                                   String jarg2,
                                                   String jarg3)

### XMLNode_AddXMLChild

    public static final void XMLNode_AddXMLChild(long jarg1,
                                                 XMLNode jarg1_,
                                                 long jarg2,
                                                 XMLNode jarg2_)

### XMLNode_AddXMLSibling

    public static final void XMLNode_AddXMLSibling(long jarg1,
                                                   XMLNode jarg1_,
                                                   long jarg2,
                                                   XMLNode jarg2_)

### XMLNode_Clone

    public static final long XMLNode_Clone(long jarg1,
                                           XMLNode jarg1_)

### XMLNode_SetXMLValue

    public static final int XMLNode_SetXMLValue(long jarg1,
                                                XMLNode jarg1_,
                                                String jarg2,
                                                String jarg3)

### XMLNode_StripXMLNamespace

    public static final void XMLNode_StripXMLNamespace(long jarg1,
                                                       XMLNode jarg1_,
                                                       String jarg2,
                                                       int jarg3)

### MajorObject_GetDescription

    public static final String MajorObject_GetDescription(long jarg1,
                                                          MajorObject jarg1_)

### MajorObject_SetDescription

    public static final void MajorObject_SetDescription(long jarg1,
                                                        MajorObject jarg1_,
                                                        String jarg2)

### MajorObject_GetMetadata_Dict__SWIG_0

    public static final Hashtable MajorObject_GetMetadata_Dict__SWIG_0(long jarg1,
                                                                       MajorObject jarg1_,
                                                                       String jarg2)

### MajorObject_GetMetadata_Dict__SWIG_1

    public static final Hashtable MajorObject_GetMetadata_Dict__SWIG_1(long jarg1,
                                                                       MajorObject jarg1_)

### MajorObject_GetMetadata_List__SWIG_0

    public static final Vector MajorObject_GetMetadata_List__SWIG_0(long jarg1,
                                                                    MajorObject jarg1_,
                                                                    String jarg2)

### MajorObject_GetMetadata_List__SWIG_1

    public static final Vector MajorObject_GetMetadata_List__SWIG_1(long jarg1,
                                                                    MajorObject jarg1_)

### MajorObject_SetMetadata__SWIG_0

    public static final int MajorObject_SetMetadata__SWIG_0(long jarg1,
                                                            MajorObject jarg1_,
                                                            Vector jarg2,
                                                            String jarg3)

### MajorObject_SetMetadata__SWIG_1

    public static final int MajorObject_SetMetadata__SWIG_1(long jarg1,
                                                            MajorObject jarg1_,
                                                            Vector jarg2)

### MajorObject_SetMetadata__SWIG_2

    public static final int MajorObject_SetMetadata__SWIG_2(long jarg1,
                                                            MajorObject jarg1_,
                                                            String jarg2,
                                                            String jarg3)

### MajorObject_SetMetadata__SWIG_3

    public static final int MajorObject_SetMetadata__SWIG_3(long jarg1,
                                                            MajorObject jarg1_,
                                                            String jarg2)

### MajorObject_GetMetadataItem__SWIG_0

    public static final String MajorObject_GetMetadataItem__SWIG_0(long jarg1,
                                                                   MajorObject jarg1_,
                                                                   String jarg2,
                                                                   String jarg3)

### MajorObject_GetMetadataItem__SWIG_1

    public static final String MajorObject_GetMetadataItem__SWIG_1(long jarg1,
                                                                   MajorObject jarg1_,
                                                                   String jarg2)

### MajorObject_SetMetadataItem__SWIG_0

    public static final int MajorObject_SetMetadataItem__SWIG_0(long jarg1,
                                                                MajorObject jarg1_,
                                                                String jarg2,
                                                                String jarg3,
                                                                String jarg4)

### MajorObject_SetMetadataItem__SWIG_1

    public static final int MajorObject_SetMetadataItem__SWIG_1(long jarg1,
                                                                MajorObject jarg1_,
                                                                String jarg2,
                                                                String jarg3)

### Driver_ShortName_get

    public static final String Driver_ShortName_get(long jarg1,
                                                    Driver jarg1_)

### Driver_LongName_get

    public static final String Driver_LongName_get(long jarg1,
                                                   Driver jarg1_)

### Driver_HelpTopic_get

    public static final String Driver_HelpTopic_get(long jarg1,
                                                    Driver jarg1_)

### Driver_Create__SWIG_0

    public static final long Driver_Create__SWIG_0(long jarg1,
                                                   Driver jarg1_,
                                                   String jarg2,
                                                   int jarg3,
                                                   int jarg4,
                                                   int jarg5,
                                                   int jarg6,
                                                   Vector jarg7)

### Driver_Create__SWIG_1

    public static final long Driver_Create__SWIG_1(long jarg1,
                                                   Driver jarg1_,
                                                   String jarg2,
                                                   int jarg3,
                                                   int jarg4,
                                                   int jarg5,
                                                   int jarg6)

### Driver_Create__SWIG_2

    public static final long Driver_Create__SWIG_2(long jarg1,
                                                   Driver jarg1_,
                                                   String jarg2,
                                                   int jarg3,
                                                   int jarg4,
                                                   int jarg5)

### Driver_Create__SWIG_3

    public static final long Driver_Create__SWIG_3(long jarg1,
                                                   Driver jarg1_,
                                                   String jarg2,
                                                   int jarg3,
                                                   int jarg4)

### Driver_CreateCopy__SWIG_0

    public static final long Driver_CreateCopy__SWIG_0(long jarg1,
                                                       Driver jarg1_,
                                                       String jarg2,
                                                       long jarg3,
                                                       Dataset jarg3_,
                                                       int jarg4,
                                                       Vector jarg5,
                                                       ProgressCallback jarg6)

### Driver_CreateCopy__SWIG_2

    public static final long Driver_CreateCopy__SWIG_2(long jarg1,
                                                       Driver jarg1_,
                                                       String jarg2,
                                                       long jarg3,
                                                       Dataset jarg3_,
                                                       int jarg4,
                                                       Vector jarg5)

### Driver_CreateCopy__SWIG_3

    public static final long Driver_CreateCopy__SWIG_3(long jarg1,
                                                       Driver jarg1_,
                                                       String jarg2,
                                                       long jarg3,
                                                       Dataset jarg3_,
                                                       int jarg4)

### Driver_CreateCopy__SWIG_4

    public static final long Driver_CreateCopy__SWIG_4(long jarg1,
                                                       Driver jarg1_,
                                                       String jarg2,
                                                       long jarg3,
                                                       Dataset jarg3_)

### Driver_Delete

    public static final int Driver_Delete(long jarg1,
                                          Driver jarg1_,
                                          String jarg2)

### Driver_Rename

    public static final int Driver_Rename(long jarg1,
                                          Driver jarg1_,
                                          String jarg2,
                                          String jarg3)

### Driver_CopyFiles

    public static final int Driver_CopyFiles(long jarg1,
                                             Driver jarg1_,
                                             String jarg2,
                                             String jarg3)

### Driver_Register

    public static final int Driver_Register(long jarg1,
                                            Driver jarg1_)

### Driver_Deregister

    public static final void Driver_Deregister(long jarg1,
                                               Driver jarg1_)

### GCP_GCPX_set

    public static final void GCP_GCPX_set(long jarg1,
                                          GCP jarg1_,
                                          double jarg2)

### GCP_GCPX_get

    public static final double GCP_GCPX_get(long jarg1,
                                            GCP jarg1_)

### GCP_GCPY_set

    public static final void GCP_GCPY_set(long jarg1,
                                          GCP jarg1_,
                                          double jarg2)

### GCP_GCPY_get

    public static final double GCP_GCPY_get(long jarg1,
                                            GCP jarg1_)

### GCP_GCPZ_set

    public static final void GCP_GCPZ_set(long jarg1,
                                          GCP jarg1_,
                                          double jarg2)

### GCP_GCPZ_get

    public static final double GCP_GCPZ_get(long jarg1,
                                            GCP jarg1_)

### GCP_GCPPixel_set

    public static final void GCP_GCPPixel_set(long jarg1,
                                              GCP jarg1_,
                                              double jarg2)

### GCP_GCPPixel_get

    public static final double GCP_GCPPixel_get(long jarg1,
                                                GCP jarg1_)

### GCP_GCPLine_set

    public static final void GCP_GCPLine_set(long jarg1,
                                             GCP jarg1_,
                                             double jarg2)

### GCP_GCPLine_get

    public static final double GCP_GCPLine_get(long jarg1,
                                               GCP jarg1_)

### GCP_Info_set

    public static final void GCP_Info_set(long jarg1,
                                          GCP jarg1_,
                                          String jarg2)

### GCP_Info_get

    public static final String GCP_Info_get(long jarg1,
                                            GCP jarg1_)

### GCP_Id_set

    public static final void GCP_Id_set(long jarg1,
                                        GCP jarg1_,
                                        String jarg2)

### GCP_Id_get

    public static final String GCP_Id_get(long jarg1,
                                          GCP jarg1_)

### new_GCP

    public static final long new_GCP(double jarg1,
                                     double jarg2,
                                     double jarg3,
                                     double jarg4,
                                     double jarg5,
                                     String jarg6,
                                     String jarg7)

### delete_GCP

    public static final void delete_GCP(long jarg1)

### GDAL_GCP_GCPX_get

    public static final double GDAL_GCP_GCPX_get(long jarg1,
                                                 GCP jarg1_)

### GDAL_GCP_GCPX_set

    public static final void GDAL_GCP_GCPX_set(long jarg1,
                                               GCP jarg1_,
                                               double jarg2)

### GDAL_GCP_GCPY_get

    public static final double GDAL_GCP_GCPY_get(long jarg1,
                                                 GCP jarg1_)

### GDAL_GCP_GCPY_set

    public static final void GDAL_GCP_GCPY_set(long jarg1,
                                               GCP jarg1_,
                                               double jarg2)

### GDAL_GCP_GCPZ_get

    public static final double GDAL_GCP_GCPZ_get(long jarg1,
                                                 GCP jarg1_)

### GDAL_GCP_GCPZ_set

    public static final void GDAL_GCP_GCPZ_set(long jarg1,
                                               GCP jarg1_,
                                               double jarg2)

### GDAL_GCP_GCPPixel_get

    public static final double GDAL_GCP_GCPPixel_get(long jarg1,
                                                     GCP jarg1_)

### GDAL_GCP_GCPPixel_set

    public static final void GDAL_GCP_GCPPixel_set(long jarg1,
                                                   GCP jarg1_,
                                                   double jarg2)

### GDAL_GCP_GCPLine_get

    public static final double GDAL_GCP_GCPLine_get(long jarg1,
                                                    GCP jarg1_)

### GDAL_GCP_GCPLine_set

    public static final void GDAL_GCP_GCPLine_set(long jarg1,
                                                  GCP jarg1_,
                                                  double jarg2)

### GDAL_GCP_Info_get

    public static final String GDAL_GCP_Info_get(long jarg1,
                                                 GCP jarg1_)

### GDAL_GCP_Info_set

    public static final void GDAL_GCP_Info_set(long jarg1,
                                               GCP jarg1_,
                                               String jarg2)

### GDAL_GCP_Id_get

    public static final String GDAL_GCP_Id_get(long jarg1,
                                               GCP jarg1_)

### GDAL_GCP_Id_set

    public static final void GDAL_GCP_Id_set(long jarg1,
                                             GCP jarg1_,
                                             String jarg2)

### GDAL_GCP_get_GCPX

    public static final double GDAL_GCP_get_GCPX(long jarg1,
                                                 GCP jarg1_)

### GDAL_GCP_set_GCPX

    public static final void GDAL_GCP_set_GCPX(long jarg1,
                                               GCP jarg1_,
                                               double jarg2)

### GDAL_GCP_get_GCPY

    public static final double GDAL_GCP_get_GCPY(long jarg1,
                                                 GCP jarg1_)

### GDAL_GCP_set_GCPY

    public static final void GDAL_GCP_set_GCPY(long jarg1,
                                               GCP jarg1_,
                                               double jarg2)

### GDAL_GCP_get_GCPZ

    public static final double GDAL_GCP_get_GCPZ(long jarg1,
                                                 GCP jarg1_)

### GDAL_GCP_set_GCPZ

    public static final void GDAL_GCP_set_GCPZ(long jarg1,
                                               GCP jarg1_,
                                               double jarg2)

### GDAL_GCP_get_GCPPixel

    public static final double GDAL_GCP_get_GCPPixel(long jarg1,
                                                     GCP jarg1_)

### GDAL_GCP_set_GCPPixel

    public static final void GDAL_GCP_set_GCPPixel(long jarg1,
                                                   GCP jarg1_,
                                                   double jarg2)

### GDAL_GCP_get_GCPLine

    public static final double GDAL_GCP_get_GCPLine(long jarg1,
                                                    GCP jarg1_)

### GDAL_GCP_set_GCPLine

    public static final void GDAL_GCP_set_GCPLine(long jarg1,
                                                  GCP jarg1_,
                                                  double jarg2)

### GDAL_GCP_get_Info

    public static final String GDAL_GCP_get_Info(long jarg1,
                                                 GCP jarg1_)

### GDAL_GCP_set_Info

    public static final void GDAL_GCP_set_Info(long jarg1,
                                               GCP jarg1_,
                                               String jarg2)

### GDAL_GCP_get_Id

    public static final String GDAL_GCP_get_Id(long jarg1,
                                               GCP jarg1_)

### GDAL_GCP_set_Id

    public static final void GDAL_GCP_set_Id(long jarg1,
                                             GCP jarg1_,
                                             String jarg2)

### GCPsToGeoTransform__SWIG_0

    public static final int GCPsToGeoTransform__SWIG_0(GCP[] jarg1,
                                                       double[] jarg3,
                                                       int jarg4)

### GCPsToGeoTransform__SWIG_1

    public static final int GCPsToGeoTransform__SWIG_1(GCP[] jarg1,
                                                       double[] jarg3)

### delete_AsyncReader

    public static final void delete_AsyncReader(long jarg1)

### AsyncReader_GetNextUpdatedRegion

    public static final int AsyncReader_GetNextUpdatedRegion(long jarg1,
                                                             AsyncReader jarg1_,
                                                             double jarg2,
                                                             int[] jarg3,
                                                             int[] jarg4,
                                                             int[] jarg5,
                                                             int[] jarg6)

### AsyncReader_LockBuffer

    public static final int AsyncReader_LockBuffer(long jarg1,
                                                   AsyncReader jarg1_,
                                                   double jarg2)

### AsyncReader_UnlockBuffer

    public static final void AsyncReader_UnlockBuffer(long jarg1,
                                                      AsyncReader jarg1_)

### Dataset_RasterXSize_get

    public static final int Dataset_RasterXSize_get(long jarg1,
                                                    Dataset jarg1_)

### Dataset_RasterYSize_get

    public static final int Dataset_RasterYSize_get(long jarg1,
                                                    Dataset jarg1_)

### Dataset_RasterCount_get

    public static final int Dataset_RasterCount_get(long jarg1,
                                                    Dataset jarg1_)

### delete_Dataset

    public static final void delete_Dataset(long jarg1)

### Dataset_GetDriver

    public static final long Dataset_GetDriver(long jarg1,
                                               Dataset jarg1_)

### Dataset_GetRasterBand

    public static final long Dataset_GetRasterBand(long jarg1,
                                                   Dataset jarg1_,
                                                   int jarg2)

### Dataset_GetProjection

    public static final String Dataset_GetProjection(long jarg1,
                                                     Dataset jarg1_)

### Dataset_GetProjectionRef

    public static final String Dataset_GetProjectionRef(long jarg1,
                                                        Dataset jarg1_)

### Dataset_SetProjection

    public static final int Dataset_SetProjection(long jarg1,
                                                  Dataset jarg1_,
                                                  String jarg2)

### Dataset_GetGeoTransform

    public static final void Dataset_GetGeoTransform(long jarg1,
                                                     Dataset jarg1_,
                                                     double[] jarg2)

### Dataset_SetGeoTransform

    public static final int Dataset_SetGeoTransform(long jarg1,
                                                    Dataset jarg1_,
                                                    double[] jarg2)

### Dataset_BuildOverviews__SWIG_0

    public static final int Dataset_BuildOverviews__SWIG_0(long jarg1,
                                                           Dataset jarg1_,
                                                           String jarg2,
                                                           int[] jarg3,
                                                           ProgressCallback jarg5)

### Dataset_BuildOverviews__SWIG_2

    public static final int Dataset_BuildOverviews__SWIG_2(long jarg1,
                                                           Dataset jarg1_,
                                                           String jarg2,
                                                           int[] jarg3)

### Dataset_GetGCPCount

    public static final int Dataset_GetGCPCount(long jarg1,
                                                Dataset jarg1_)

### Dataset_GetGCPProjection

    public static final String Dataset_GetGCPProjection(long jarg1,
                                                        Dataset jarg1_)

### Dataset_GetGCPs

    public static final void Dataset_GetGCPs(long jarg1,
                                             Dataset jarg1_,
                                             Vector jarg2)

### Dataset_SetGCPs

    public static final int Dataset_SetGCPs(long jarg1,
                                            Dataset jarg1_,
                                            GCP[] jarg2,
                                            String jarg4)

### Dataset_FlushCache

    public static final void Dataset_FlushCache(long jarg1,
                                                Dataset jarg1_)

### Dataset_AddBand__SWIG_0

    public static final int Dataset_AddBand__SWIG_0(long jarg1,
                                                    Dataset jarg1_,
                                                    int jarg2,
                                                    Vector jarg3)

### Dataset_AddBand__SWIG_1

    public static final int Dataset_AddBand__SWIG_1(long jarg1,
                                                    Dataset jarg1_,
                                                    int jarg2)

### Dataset_AddBand__SWIG_2

    public static final int Dataset_AddBand__SWIG_2(long jarg1,
                                                    Dataset jarg1_)

### Dataset_CreateMaskBand

    public static final int Dataset_CreateMaskBand(long jarg1,
                                                   Dataset jarg1_,
                                                   int jarg2)

### Dataset_GetFileList

    public static final Vector Dataset_GetFileList(long jarg1,
                                                   Dataset jarg1_)

### Dataset_ReadRaster_Direct__SWIG_0

    public static final int Dataset_ReadRaster_Direct__SWIG_0(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              ByteBuffer jarg9,
                                                              int[] jarg11,
                                                              int jarg13,
                                                              int jarg14,
                                                              int jarg15)

### Dataset_ReadRaster_Direct__SWIG_1

    public static final int Dataset_ReadRaster_Direct__SWIG_1(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              ByteBuffer jarg9,
                                                              int[] jarg11,
                                                              int jarg13,
                                                              int jarg14)

### Dataset_ReadRaster_Direct__SWIG_2

    public static final int Dataset_ReadRaster_Direct__SWIG_2(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              ByteBuffer jarg9,
                                                              int[] jarg11,
                                                              int jarg13)

### Dataset_ReadRaster_Direct__SWIG_3

    public static final int Dataset_ReadRaster_Direct__SWIG_3(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              ByteBuffer jarg9,
                                                              int[] jarg11)

### Dataset_ReadRaster__SWIG_0

    public static final int Dataset_ReadRaster__SWIG_0(long jarg1,
                                                       Dataset jarg1_,
                                                       int jarg2,
                                                       int jarg3,
                                                       int jarg4,
                                                       int jarg5,
                                                       int jarg6,
                                                       int jarg7,
                                                       int jarg8,
                                                       byte[] jarg9,
                                                       int[] jarg11,
                                                       int jarg13,
                                                       int jarg14,
                                                       int jarg15)

### Dataset_ReadRaster__SWIG_1

    public static final int Dataset_ReadRaster__SWIG_1(long jarg1,
                                                       Dataset jarg1_,
                                                       int jarg2,
                                                       int jarg3,
                                                       int jarg4,
                                                       int jarg5,
                                                       int jarg6,
                                                       int jarg7,
                                                       int jarg8,
                                                       byte[] jarg9,
                                                       int[] jarg11,
                                                       int jarg13,
                                                       int jarg14)

### Dataset_ReadRaster__SWIG_2

    public static final int Dataset_ReadRaster__SWIG_2(long jarg1,
                                                       Dataset jarg1_,
                                                       int jarg2,
                                                       int jarg3,
                                                       int jarg4,
                                                       int jarg5,
                                                       int jarg6,
                                                       int jarg7,
                                                       int jarg8,
                                                       byte[] jarg9,
                                                       int[] jarg11,
                                                       int jarg13)

### Dataset_ReadRaster__SWIG_3

    public static final int Dataset_ReadRaster__SWIG_3(long jarg1,
                                                       Dataset jarg1_,
                                                       int jarg2,
                                                       int jarg3,
                                                       int jarg4,
                                                       int jarg5,
                                                       int jarg6,
                                                       int jarg7,
                                                       int jarg8,
                                                       byte[] jarg9,
                                                       int[] jarg11)

### Dataset_ReadRaster__SWIG_4

    public static final int Dataset_ReadRaster__SWIG_4(long jarg1,
                                                       Dataset jarg1_,
                                                       int jarg2,
                                                       int jarg3,
                                                       int jarg4,
                                                       int jarg5,
                                                       int jarg6,
                                                       int jarg7,
                                                       int jarg8,
                                                       short[] jarg9,
                                                       int[] jarg11,
                                                       int jarg13,
                                                       int jarg14,
                                                       int jarg15)

### Dataset_ReadRaster__SWIG_5

    public static final int Dataset_ReadRaster__SWIG_5(long jarg1,
                                                       Dataset jarg1_,
                                                       int jarg2,
                                                       int jarg3,
                                                       int jarg4,
                                                       int jarg5,
                                                       int jarg6,
                                                       int jarg7,
                                                       int jarg8,
                                                       short[] jarg9,
                                                       int[] jarg11,
                                                       int jarg13,
                                                       int jarg14)

### Dataset_ReadRaster__SWIG_6

    public static final int Dataset_ReadRaster__SWIG_6(long jarg1,
                                                       Dataset jarg1_,
                                                       int jarg2,
                                                       int jarg3,
                                                       int jarg4,
                                                       int jarg5,
                                                       int jarg6,
                                                       int jarg7,
                                                       int jarg8,
                                                       short[] jarg9,
                                                       int[] jarg11,
                                                       int jarg13)

### Dataset_ReadRaster__SWIG_7

    public static final int Dataset_ReadRaster__SWIG_7(long jarg1,
                                                       Dataset jarg1_,
                                                       int jarg2,
                                                       int jarg3,
                                                       int jarg4,
                                                       int jarg5,
                                                       int jarg6,
                                                       int jarg7,
                                                       int jarg8,
                                                       short[] jarg9,
                                                       int[] jarg11)

### Dataset_ReadRaster__SWIG_8

    public static final int Dataset_ReadRaster__SWIG_8(long jarg1,
                                                       Dataset jarg1_,
                                                       int jarg2,
                                                       int jarg3,
                                                       int jarg4,
                                                       int jarg5,
                                                       int jarg6,
                                                       int jarg7,
                                                       int jarg8,
                                                       int[] jarg9,
                                                       int[] jarg11,
                                                       int jarg13,
                                                       int jarg14,
                                                       int jarg15)

### Dataset_ReadRaster__SWIG_9

    public static final int Dataset_ReadRaster__SWIG_9(long jarg1,
                                                       Dataset jarg1_,
                                                       int jarg2,
                                                       int jarg3,
                                                       int jarg4,
                                                       int jarg5,
                                                       int jarg6,
                                                       int jarg7,
                                                       int jarg8,
                                                       int[] jarg9,
                                                       int[] jarg11,
                                                       int jarg13,
                                                       int jarg14)

### Dataset_ReadRaster__SWIG_10

    public static final int Dataset_ReadRaster__SWIG_10(long jarg1,
                                                        Dataset jarg1_,
                                                        int jarg2,
                                                        int jarg3,
                                                        int jarg4,
                                                        int jarg5,
                                                        int jarg6,
                                                        int jarg7,
                                                        int jarg8,
                                                        int[] jarg9,
                                                        int[] jarg11,
                                                        int jarg13)

### Dataset_ReadRaster__SWIG_11

    public static final int Dataset_ReadRaster__SWIG_11(long jarg1,
                                                        Dataset jarg1_,
                                                        int jarg2,
                                                        int jarg3,
                                                        int jarg4,
                                                        int jarg5,
                                                        int jarg6,
                                                        int jarg7,
                                                        int jarg8,
                                                        int[] jarg9,
                                                        int[] jarg11)

### Dataset_ReadRaster__SWIG_12

    public static final int Dataset_ReadRaster__SWIG_12(long jarg1,
                                                        Dataset jarg1_,
                                                        int jarg2,
                                                        int jarg3,
                                                        int jarg4,
                                                        int jarg5,
                                                        int jarg6,
                                                        int jarg7,
                                                        int jarg8,
                                                        float[] jarg9,
                                                        int[] jarg11,
                                                        int jarg13,
                                                        int jarg14,
                                                        int jarg15)

### Dataset_ReadRaster__SWIG_13

    public static final int Dataset_ReadRaster__SWIG_13(long jarg1,
                                                        Dataset jarg1_,
                                                        int jarg2,
                                                        int jarg3,
                                                        int jarg4,
                                                        int jarg5,
                                                        int jarg6,
                                                        int jarg7,
                                                        int jarg8,
                                                        float[] jarg9,
                                                        int[] jarg11,
                                                        int jarg13,
                                                        int jarg14)

### Dataset_ReadRaster__SWIG_14

    public static final int Dataset_ReadRaster__SWIG_14(long jarg1,
                                                        Dataset jarg1_,
                                                        int jarg2,
                                                        int jarg3,
                                                        int jarg4,
                                                        int jarg5,
                                                        int jarg6,
                                                        int jarg7,
                                                        int jarg8,
                                                        float[] jarg9,
                                                        int[] jarg11,
                                                        int jarg13)

### Dataset_ReadRaster__SWIG_15

    public static final int Dataset_ReadRaster__SWIG_15(long jarg1,
                                                        Dataset jarg1_,
                                                        int jarg2,
                                                        int jarg3,
                                                        int jarg4,
                                                        int jarg5,
                                                        int jarg6,
                                                        int jarg7,
                                                        int jarg8,
                                                        float[] jarg9,
                                                        int[] jarg11)

### Dataset_ReadRaster__SWIG_16

    public static final int Dataset_ReadRaster__SWIG_16(long jarg1,
                                                        Dataset jarg1_,
                                                        int jarg2,
                                                        int jarg3,
                                                        int jarg4,
                                                        int jarg5,
                                                        int jarg6,
                                                        int jarg7,
                                                        int jarg8,
                                                        double[] jarg9,
                                                        int[] jarg11,
                                                        int jarg13,
                                                        int jarg14,
                                                        int jarg15)

### Dataset_ReadRaster__SWIG_17

    public static final int Dataset_ReadRaster__SWIG_17(long jarg1,
                                                        Dataset jarg1_,
                                                        int jarg2,
                                                        int jarg3,
                                                        int jarg4,
                                                        int jarg5,
                                                        int jarg6,
                                                        int jarg7,
                                                        int jarg8,
                                                        double[] jarg9,
                                                        int[] jarg11,
                                                        int jarg13,
                                                        int jarg14)

### Dataset_ReadRaster__SWIG_18

    public static final int Dataset_ReadRaster__SWIG_18(long jarg1,
                                                        Dataset jarg1_,
                                                        int jarg2,
                                                        int jarg3,
                                                        int jarg4,
                                                        int jarg5,
                                                        int jarg6,
                                                        int jarg7,
                                                        int jarg8,
                                                        double[] jarg9,
                                                        int[] jarg11,
                                                        int jarg13)

### Dataset_ReadRaster__SWIG_19

    public static final int Dataset_ReadRaster__SWIG_19(long jarg1,
                                                        Dataset jarg1_,
                                                        int jarg2,
                                                        int jarg3,
                                                        int jarg4,
                                                        int jarg5,
                                                        int jarg6,
                                                        int jarg7,
                                                        int jarg8,
                                                        double[] jarg9,
                                                        int[] jarg11)

### Dataset_WriteRaster_Direct__SWIG_0

    public static final int Dataset_WriteRaster_Direct__SWIG_0(long jarg1,
                                                               Dataset jarg1_,
                                                               int jarg2,
                                                               int jarg3,
                                                               int jarg4,
                                                               int jarg5,
                                                               int jarg6,
                                                               int jarg7,
                                                               int jarg8,
                                                               ByteBuffer jarg9,
                                                               int[] jarg11,
                                                               int jarg13,
                                                               int jarg14,
                                                               int jarg15)

### Dataset_WriteRaster_Direct__SWIG_1

    public static final int Dataset_WriteRaster_Direct__SWIG_1(long jarg1,
                                                               Dataset jarg1_,
                                                               int jarg2,
                                                               int jarg3,
                                                               int jarg4,
                                                               int jarg5,
                                                               int jarg6,
                                                               int jarg7,
                                                               int jarg8,
                                                               ByteBuffer jarg9,
                                                               int[] jarg11,
                                                               int jarg13,
                                                               int jarg14)

### Dataset_WriteRaster_Direct__SWIG_2

    public static final int Dataset_WriteRaster_Direct__SWIG_2(long jarg1,
                                                               Dataset jarg1_,
                                                               int jarg2,
                                                               int jarg3,
                                                               int jarg4,
                                                               int jarg5,
                                                               int jarg6,
                                                               int jarg7,
                                                               int jarg8,
                                                               ByteBuffer jarg9,
                                                               int[] jarg11,
                                                               int jarg13)

### Dataset_WriteRaster_Direct__SWIG_3

    public static final int Dataset_WriteRaster_Direct__SWIG_3(long jarg1,
                                                               Dataset jarg1_,
                                                               int jarg2,
                                                               int jarg3,
                                                               int jarg4,
                                                               int jarg5,
                                                               int jarg6,
                                                               int jarg7,
                                                               int jarg8,
                                                               ByteBuffer jarg9,
                                                               int[] jarg11)

### Dataset_WriteRaster__SWIG_0

    public static final int Dataset_WriteRaster__SWIG_0(long jarg1,
                                                        Dataset jarg1_,
                                                        int jarg2,
                                                        int jarg3,
                                                        int jarg4,
                                                        int jarg5,
                                                        int jarg6,
                                                        int jarg7,
                                                        int jarg8,
                                                        byte[] jarg9,
                                                        int[] jarg11,
                                                        int jarg13,
                                                        int jarg14,
                                                        int jarg15)

### Dataset_WriteRaster__SWIG_1

    public static final int Dataset_WriteRaster__SWIG_1(long jarg1,
                                                        Dataset jarg1_,
                                                        int jarg2,
                                                        int jarg3,
                                                        int jarg4,
                                                        int jarg5,
                                                        int jarg6,
                                                        int jarg7,
                                                        int jarg8,
                                                        byte[] jarg9,
                                                        int[] jarg11,
                                                        int jarg13,
                                                        int jarg14)

### Dataset_WriteRaster__SWIG_2

    public static final int Dataset_WriteRaster__SWIG_2(long jarg1,
                                                        Dataset jarg1_,
                                                        int jarg2,
                                                        int jarg3,
                                                        int jarg4,
                                                        int jarg5,
                                                        int jarg6,
                                                        int jarg7,
                                                        int jarg8,
                                                        byte[] jarg9,
                                                        int[] jarg11,
                                                        int jarg13)

### Dataset_WriteRaster__SWIG_3

    public static final int Dataset_WriteRaster__SWIG_3(long jarg1,
                                                        Dataset jarg1_,
                                                        int jarg2,
                                                        int jarg3,
                                                        int jarg4,
                                                        int jarg5,
                                                        int jarg6,
                                                        int jarg7,
                                                        int jarg8,
                                                        byte[] jarg9,
                                                        int[] jarg11)

### Dataset_WriteRaster__SWIG_4

    public static final int Dataset_WriteRaster__SWIG_4(long jarg1,
                                                        Dataset jarg1_,
                                                        int jarg2,
                                                        int jarg3,
                                                        int jarg4,
                                                        int jarg5,
                                                        int jarg6,
                                                        int jarg7,
                                                        int jarg8,
                                                        short[] jarg9,
                                                        int[] jarg11,
                                                        int jarg13,
                                                        int jarg14,
                                                        int jarg15)

### Dataset_WriteRaster__SWIG_5

    public static final int Dataset_WriteRaster__SWIG_5(long jarg1,
                                                        Dataset jarg1_,
                                                        int jarg2,
                                                        int jarg3,
                                                        int jarg4,
                                                        int jarg5,
                                                        int jarg6,
                                                        int jarg7,
                                                        int jarg8,
                                                        short[] jarg9,
                                                        int[] jarg11,
                                                        int jarg13,
                                                        int jarg14)

### Dataset_WriteRaster__SWIG_6

    public static final int Dataset_WriteRaster__SWIG_6(long jarg1,
                                                        Dataset jarg1_,
                                                        int jarg2,
                                                        int jarg3,
                                                        int jarg4,
                                                        int jarg5,
                                                        int jarg6,
                                                        int jarg7,
                                                        int jarg8,
                                                        short[] jarg9,
                                                        int[] jarg11,
                                                        int jarg13)

### Dataset_WriteRaster__SWIG_7

    public static final int Dataset_WriteRaster__SWIG_7(long jarg1,
                                                        Dataset jarg1_,
                                                        int jarg2,
                                                        int jarg3,
                                                        int jarg4,
                                                        int jarg5,
                                                        int jarg6,
                                                        int jarg7,
                                                        int jarg8,
                                                        short[] jarg9,
                                                        int[] jarg11)

### Dataset_WriteRaster__SWIG_8

    public static final int Dataset_WriteRaster__SWIG_8(long jarg1,
                                                        Dataset jarg1_,
                                                        int jarg2,
                                                        int jarg3,
                                                        int jarg4,
                                                        int jarg5,
                                                        int jarg6,
                                                        int jarg7,
                                                        int jarg8,
                                                        int[] jarg9,
                                                        int[] jarg11,
                                                        int jarg13,
                                                        int jarg14,
                                                        int jarg15)

### Dataset_WriteRaster__SWIG_9

    public static final int Dataset_WriteRaster__SWIG_9(long jarg1,
                                                        Dataset jarg1_,
                                                        int jarg2,
                                                        int jarg3,
                                                        int jarg4,
                                                        int jarg5,
                                                        int jarg6,
                                                        int jarg7,
                                                        int jarg8,
                                                        int[] jarg9,
                                                        int[] jarg11,
                                                        int jarg13,
                                                        int jarg14)

### Dataset_WriteRaster__SWIG_10

    public static final int Dataset_WriteRaster__SWIG_10(long jarg1,
                                                         Dataset jarg1_,
                                                         int jarg2,
                                                         int jarg3,
                                                         int jarg4,
                                                         int jarg5,
                                                         int jarg6,
                                                         int jarg7,
                                                         int jarg8,
                                                         int[] jarg9,
                                                         int[] jarg11,
                                                         int jarg13)

### Dataset_WriteRaster__SWIG_11

    public static final int Dataset_WriteRaster__SWIG_11(long jarg1,
                                                         Dataset jarg1_,
                                                         int jarg2,
                                                         int jarg3,
                                                         int jarg4,
                                                         int jarg5,
                                                         int jarg6,
                                                         int jarg7,
                                                         int jarg8,
                                                         int[] jarg9,
                                                         int[] jarg11)

### Dataset_WriteRaster__SWIG_12

    public static final int Dataset_WriteRaster__SWIG_12(long jarg1,
                                                         Dataset jarg1_,
                                                         int jarg2,
                                                         int jarg3,
                                                         int jarg4,
                                                         int jarg5,
                                                         int jarg6,
                                                         int jarg7,
                                                         int jarg8,
                                                         float[] jarg9,
                                                         int[] jarg11,
                                                         int jarg13,
                                                         int jarg14,
                                                         int jarg15)

### Dataset_WriteRaster__SWIG_13

    public static final int Dataset_WriteRaster__SWIG_13(long jarg1,
                                                         Dataset jarg1_,
                                                         int jarg2,
                                                         int jarg3,
                                                         int jarg4,
                                                         int jarg5,
                                                         int jarg6,
                                                         int jarg7,
                                                         int jarg8,
                                                         float[] jarg9,
                                                         int[] jarg11,
                                                         int jarg13,
                                                         int jarg14)

### Dataset_WriteRaster__SWIG_14

    public static final int Dataset_WriteRaster__SWIG_14(long jarg1,
                                                         Dataset jarg1_,
                                                         int jarg2,
                                                         int jarg3,
                                                         int jarg4,
                                                         int jarg5,
                                                         int jarg6,
                                                         int jarg7,
                                                         int jarg8,
                                                         float[] jarg9,
                                                         int[] jarg11,
                                                         int jarg13)

### Dataset_WriteRaster__SWIG_15

    public static final int Dataset_WriteRaster__SWIG_15(long jarg1,
                                                         Dataset jarg1_,
                                                         int jarg2,
                                                         int jarg3,
                                                         int jarg4,
                                                         int jarg5,
                                                         int jarg6,
                                                         int jarg7,
                                                         int jarg8,
                                                         float[] jarg9,
                                                         int[] jarg11)

### Dataset_WriteRaster__SWIG_16

    public static final int Dataset_WriteRaster__SWIG_16(long jarg1,
                                                         Dataset jarg1_,
                                                         int jarg2,
                                                         int jarg3,
                                                         int jarg4,
                                                         int jarg5,
                                                         int jarg6,
                                                         int jarg7,
                                                         int jarg8,
                                                         double[] jarg9,
                                                         int[] jarg11,
                                                         int jarg13,
                                                         int jarg14,
                                                         int jarg15)

### Dataset_WriteRaster__SWIG_17

    public static final int Dataset_WriteRaster__SWIG_17(long jarg1,
                                                         Dataset jarg1_,
                                                         int jarg2,
                                                         int jarg3,
                                                         int jarg4,
                                                         int jarg5,
                                                         int jarg6,
                                                         int jarg7,
                                                         int jarg8,
                                                         double[] jarg9,
                                                         int[] jarg11,
                                                         int jarg13,
                                                         int jarg14)

### Dataset_WriteRaster__SWIG_18

    public static final int Dataset_WriteRaster__SWIG_18(long jarg1,
                                                         Dataset jarg1_,
                                                         int jarg2,
                                                         int jarg3,
                                                         int jarg4,
                                                         int jarg5,
                                                         int jarg6,
                                                         int jarg7,
                                                         int jarg8,
                                                         double[] jarg9,
                                                         int[] jarg11,
                                                         int jarg13)

### Dataset_WriteRaster__SWIG_19

    public static final int Dataset_WriteRaster__SWIG_19(long jarg1,
                                                         Dataset jarg1_,
                                                         int jarg2,
                                                         int jarg3,
                                                         int jarg4,
                                                         int jarg5,
                                                         int jarg6,
                                                         int jarg7,
                                                         int jarg8,
                                                         double[] jarg9,
                                                         int[] jarg11)

### Band_XSize_get

    public static final int Band_XSize_get(long jarg1,
                                           Band jarg1_)

### Band_YSize_get

    public static final int Band_YSize_get(long jarg1,
                                           Band jarg1_)

### Band_DataType_get

    public static final int Band_DataType_get(long jarg1,
                                              Band jarg1_)

### Band_GetBand

    public static final int Band_GetBand(long jarg1,
                                         Band jarg1_)

### Band_GetBlockSize

    public static final void Band_GetBlockSize(long jarg1,
                                               Band jarg1_,
                                               int[] jarg2,
                                               int[] jarg3)

### Band_GetColorInterpretation

    public static final int Band_GetColorInterpretation(long jarg1,
                                                        Band jarg1_)

### Band_GetRasterColorInterpretation

    public static final int Band_GetRasterColorInterpretation(long jarg1,
                                                              Band jarg1_)

### Band_SetColorInterpretation

    public static final int Band_SetColorInterpretation(long jarg1,
                                                        Band jarg1_,
                                                        int jarg2)

### Band_SetRasterColorInterpretation

    public static final int Band_SetRasterColorInterpretation(long jarg1,
                                                              Band jarg1_,
                                                              int jarg2)

### Band_GetNoDataValue

    public static final void Band_GetNoDataValue(long jarg1,
                                                 Band jarg1_,
                                                 Double[] jarg2)

### Band_SetNoDataValue

    public static final int Band_SetNoDataValue(long jarg1,
                                                Band jarg1_,
                                                double jarg2)

### Band_GetUnitType

    public static final String Band_GetUnitType(long jarg1,
                                                Band jarg1_)

### Band_SetUnitType

    public static final int Band_SetUnitType(long jarg1,
                                             Band jarg1_,
                                             String jarg2)

### Band_GetRasterCategoryNames

    public static final Vector Band_GetRasterCategoryNames(long jarg1,
                                                           Band jarg1_)

### Band_SetRasterCategoryNames

    public static final int Band_SetRasterCategoryNames(long jarg1,
                                                        Band jarg1_,
                                                        Vector jarg2)

### Band_GetMinimum

    public static final void Band_GetMinimum(long jarg1,
                                             Band jarg1_,
                                             Double[] jarg2)

### Band_GetMaximum

    public static final void Band_GetMaximum(long jarg1,
                                             Band jarg1_,
                                             Double[] jarg2)

### Band_GetOffset

    public static final void Band_GetOffset(long jarg1,
                                            Band jarg1_,
                                            Double[] jarg2)

### Band_GetScale

    public static final void Band_GetScale(long jarg1,
                                           Band jarg1_,
                                           Double[] jarg2)

### Band_SetOffset

    public static final int Band_SetOffset(long jarg1,
                                           Band jarg1_,
                                           double jarg2)

### Band_SetScale

    public static final int Band_SetScale(long jarg1,
                                          Band jarg1_,
                                          double jarg2)

### Band_GetStatistics

    public static final int Band_GetStatistics(long jarg1,
                                               Band jarg1_,
                                               int jarg2,
                                               int jarg3,
                                               double[] jarg4,
                                               double[] jarg5,
                                               double[] jarg6,
                                               double[] jarg7)

### Band_ComputeStatistics__SWIG_0

    public static final int Band_ComputeStatistics__SWIG_0(long jarg1,
                                                           Band jarg1_,
                                                           boolean jarg2,
                                                           double[] jarg3,
                                                           double[] jarg4,
                                                           double[] jarg5,
                                                           double[] jarg6,
                                                           ProgressCallback jarg7)

### Band_ComputeStatistics__SWIG_2

    public static final int Band_ComputeStatistics__SWIG_2(long jarg1,
                                                           Band jarg1_,
                                                           boolean jarg2,
                                                           double[] jarg3,
                                                           double[] jarg4,
                                                           double[] jarg5,
                                                           double[] jarg6)

### Band_ComputeStatistics__SWIG_3

    public static final int Band_ComputeStatistics__SWIG_3(long jarg1,
                                                           Band jarg1_,
                                                           boolean jarg2,
                                                           double[] jarg3,
                                                           double[] jarg4,
                                                           double[] jarg5)

### Band_ComputeStatistics__SWIG_4

    public static final int Band_ComputeStatistics__SWIG_4(long jarg1,
                                                           Band jarg1_,
                                                           boolean jarg2,
                                                           double[] jarg3,
                                                           double[] jarg4)

### Band_ComputeStatistics__SWIG_5

    public static final int Band_ComputeStatistics__SWIG_5(long jarg1,
                                                           Band jarg1_,
                                                           boolean jarg2,
                                                           double[] jarg3)

### Band_ComputeStatistics__SWIG_6

    public static final int Band_ComputeStatistics__SWIG_6(long jarg1,
                                                           Band jarg1_,
                                                           boolean jarg2)

### Band_SetStatistics

    public static final int Band_SetStatistics(long jarg1,
                                               Band jarg1_,
                                               double jarg2,
                                               double jarg3,
                                               double jarg4,
                                               double jarg5)

### Band_GetOverviewCount

    public static final int Band_GetOverviewCount(long jarg1,
                                                  Band jarg1_)

### Band_GetOverview

    public static final long Band_GetOverview(long jarg1,
                                              Band jarg1_,
                                              int jarg2)

### Band_Checksum

    public static final int Band_Checksum(long jarg1,
                                          Band jarg1_,
                                          int jarg2,
                                          int jarg3,
                                          int jarg4,
                                          int jarg5)

### Band_ComputeRasterMinMax__SWIG_0

    public static final void Band_ComputeRasterMinMax__SWIG_0(long jarg1,
                                                              Band jarg1_,
                                                              double[] jarg2,
                                                              int jarg3)

### Band_ComputeRasterMinMax__SWIG_1

    public static final void Band_ComputeRasterMinMax__SWIG_1(long jarg1,
                                                              Band jarg1_,
                                                              double[] jarg2)

### Band_ComputeBandStats__SWIG_0

    public static final void Band_ComputeBandStats__SWIG_0(long jarg1,
                                                           Band jarg1_,
                                                           double[] jarg2,
                                                           int jarg3)

### Band_ComputeBandStats__SWIG_1

    public static final void Band_ComputeBandStats__SWIG_1(long jarg1,
                                                           Band jarg1_,
                                                           double[] jarg2)

### Band_Fill__SWIG_0

    public static final int Band_Fill__SWIG_0(long jarg1,
                                              Band jarg1_,
                                              double jarg2,
                                              double jarg3)

### Band_Fill__SWIG_1

    public static final int Band_Fill__SWIG_1(long jarg1,
                                              Band jarg1_,
                                              double jarg2)

### Band_FlushCache

    public static final void Band_FlushCache(long jarg1,
                                             Band jarg1_)

### Band_GetRasterColorTable

    public static final long Band_GetRasterColorTable(long jarg1,
                                                      Band jarg1_)

### Band_GetColorTable

    public static final long Band_GetColorTable(long jarg1,
                                                Band jarg1_)

### Band_SetRasterColorTable

    public static final int Band_SetRasterColorTable(long jarg1,
                                                     Band jarg1_,
                                                     long jarg2,
                                                     ColorTable jarg2_)

### Band_SetColorTable

    public static final int Band_SetColorTable(long jarg1,
                                               Band jarg1_,
                                               long jarg2,
                                               ColorTable jarg2_)

### Band_GetDefaultRAT

    public static final long Band_GetDefaultRAT(long jarg1,
                                                Band jarg1_)

### Band_SetDefaultRAT

    public static final int Band_SetDefaultRAT(long jarg1,
                                               Band jarg1_,
                                               long jarg2,
                                               RasterAttributeTable jarg2_)

### Band_GetMaskBand

    public static final long Band_GetMaskBand(long jarg1,
                                              Band jarg1_)

### Band_GetMaskFlags

    public static final int Band_GetMaskFlags(long jarg1,
                                              Band jarg1_)

### Band_CreateMaskBand

    public static final int Band_CreateMaskBand(long jarg1,
                                                Band jarg1_,
                                                int jarg2)

### Band_SetDefaultHistogram

    public static final int Band_SetDefaultHistogram(long jarg1,
                                                     Band jarg1_,
                                                     double jarg2,
                                                     double jarg3,
                                                     int[] jarg4)

### Band_HasArbitraryOverviews

    public static final boolean Band_HasArbitraryOverviews(long jarg1,
                                                           Band jarg1_)

### Band_GetCategoryNames

    public static final Vector Band_GetCategoryNames(long jarg1,
                                                     Band jarg1_)

### Band_SetCategoryNames

    public static final int Band_SetCategoryNames(long jarg1,
                                                  Band jarg1_,
                                                  Vector jarg2)

### Band_ReadRaster_Direct__SWIG_0

    public static final int Band_ReadRaster_Direct__SWIG_0(long jarg1,
                                                           Band jarg1_,
                                                           int jarg2,
                                                           int jarg3,
                                                           int jarg4,
                                                           int jarg5,
                                                           int jarg6,
                                                           int jarg7,
                                                           int jarg8,
                                                           ByteBuffer jarg9,
                                                           int jarg11,
                                                           int jarg12)

### Band_ReadRaster_Direct__SWIG_1

    public static final int Band_ReadRaster_Direct__SWIG_1(long jarg1,
                                                           Band jarg1_,
                                                           int jarg2,
                                                           int jarg3,
                                                           int jarg4,
                                                           int jarg5,
                                                           int jarg6,
                                                           int jarg7,
                                                           int jarg8,
                                                           ByteBuffer jarg9,
                                                           int jarg11)

### Band_ReadRaster_Direct__SWIG_2

    public static final int Band_ReadRaster_Direct__SWIG_2(long jarg1,
                                                           Band jarg1_,
                                                           int jarg2,
                                                           int jarg3,
                                                           int jarg4,
                                                           int jarg5,
                                                           int jarg6,
                                                           int jarg7,
                                                           int jarg8,
                                                           ByteBuffer jarg9)

### Band_ReadRaster__SWIG_0

    public static final int Band_ReadRaster__SWIG_0(long jarg1,
                                                    Band jarg1_,
                                                    int jarg2,
                                                    int jarg3,
                                                    int jarg4,
                                                    int jarg5,
                                                    int jarg6,
                                                    int jarg7,
                                                    int jarg8,
                                                    byte[] jarg9,
                                                    int jarg11,
                                                    int jarg12)

### Band_ReadRaster__SWIG_1

    public static final int Band_ReadRaster__SWIG_1(long jarg1,
                                                    Band jarg1_,
                                                    int jarg2,
                                                    int jarg3,
                                                    int jarg4,
                                                    int jarg5,
                                                    int jarg6,
                                                    int jarg7,
                                                    int jarg8,
                                                    byte[] jarg9,
                                                    int jarg11)

### Band_ReadRaster__SWIG_2

    public static final int Band_ReadRaster__SWIG_2(long jarg1,
                                                    Band jarg1_,
                                                    int jarg2,
                                                    int jarg3,
                                                    int jarg4,
                                                    int jarg5,
                                                    int jarg6,
                                                    int jarg7,
                                                    int jarg8,
                                                    byte[] jarg9)

### Band_ReadRaster__SWIG_3

    public static final int Band_ReadRaster__SWIG_3(long jarg1,
                                                    Band jarg1_,
                                                    int jarg2,
                                                    int jarg3,
                                                    int jarg4,
                                                    int jarg5,
                                                    int jarg6,
                                                    int jarg7,
                                                    int jarg8,
                                                    short[] jarg9,
                                                    int jarg11,
                                                    int jarg12)

### Band_ReadRaster__SWIG_4

    public static final int Band_ReadRaster__SWIG_4(long jarg1,
                                                    Band jarg1_,
                                                    int jarg2,
                                                    int jarg3,
                                                    int jarg4,
                                                    int jarg5,
                                                    int jarg6,
                                                    int jarg7,
                                                    int jarg8,
                                                    short[] jarg9,
                                                    int jarg11)

### Band_ReadRaster__SWIG_5

    public static final int Band_ReadRaster__SWIG_5(long jarg1,
                                                    Band jarg1_,
                                                    int jarg2,
                                                    int jarg3,
                                                    int jarg4,
                                                    int jarg5,
                                                    int jarg6,
                                                    int jarg7,
                                                    int jarg8,
                                                    short[] jarg9)

### Band_ReadRaster__SWIG_6

    public static final int Band_ReadRaster__SWIG_6(long jarg1,
                                                    Band jarg1_,
                                                    int jarg2,
                                                    int jarg3,
                                                    int jarg4,
                                                    int jarg5,
                                                    int jarg6,
                                                    int jarg7,
                                                    int jarg8,
                                                    int[] jarg9,
                                                    int jarg11,
                                                    int jarg12)

### Band_ReadRaster__SWIG_7

    public static final int Band_ReadRaster__SWIG_7(long jarg1,
                                                    Band jarg1_,
                                                    int jarg2,
                                                    int jarg3,
                                                    int jarg4,
                                                    int jarg5,
                                                    int jarg6,
                                                    int jarg7,
                                                    int jarg8,
                                                    int[] jarg9,
                                                    int jarg11)

### Band_ReadRaster__SWIG_8

    public static final int Band_ReadRaster__SWIG_8(long jarg1,
                                                    Band jarg1_,
                                                    int jarg2,
                                                    int jarg3,
                                                    int jarg4,
                                                    int jarg5,
                                                    int jarg6,
                                                    int jarg7,
                                                    int jarg8,
                                                    int[] jarg9)

### Band_ReadRaster__SWIG_9

    public static final int Band_ReadRaster__SWIG_9(long jarg1,
                                                    Band jarg1_,
                                                    int jarg2,
                                                    int jarg3,
                                                    int jarg4,
                                                    int jarg5,
                                                    int jarg6,
                                                    int jarg7,
                                                    int jarg8,
                                                    float[] jarg9,
                                                    int jarg11,
                                                    int jarg12)

### Band_ReadRaster__SWIG_10

    public static final int Band_ReadRaster__SWIG_10(long jarg1,
                                                     Band jarg1_,
                                                     int jarg2,
                                                     int jarg3,
                                                     int jarg4,
                                                     int jarg5,
                                                     int jarg6,
                                                     int jarg7,
                                                     int jarg8,
                                                     float[] jarg9,
                                                     int jarg11)

### Band_ReadRaster__SWIG_11

    public static final int Band_ReadRaster__SWIG_11(long jarg1,
                                                     Band jarg1_,
                                                     int jarg2,
                                                     int jarg3,
                                                     int jarg4,
                                                     int jarg5,
                                                     int jarg6,
                                                     int jarg7,
                                                     int jarg8,
                                                     float[] jarg9)

### Band_ReadRaster__SWIG_12

    public static final int Band_ReadRaster__SWIG_12(long jarg1,
                                                     Band jarg1_,
                                                     int jarg2,
                                                     int jarg3,
                                                     int jarg4,
                                                     int jarg5,
                                                     int jarg6,
                                                     int jarg7,
                                                     int jarg8,
                                                     double[] jarg9,
                                                     int jarg11,
                                                     int jarg12)

### Band_ReadRaster__SWIG_13

    public static final int Band_ReadRaster__SWIG_13(long jarg1,
                                                     Band jarg1_,
                                                     int jarg2,
                                                     int jarg3,
                                                     int jarg4,
                                                     int jarg5,
                                                     int jarg6,
                                                     int jarg7,
                                                     int jarg8,
                                                     double[] jarg9,
                                                     int jarg11)

### Band_ReadRaster__SWIG_14

    public static final int Band_ReadRaster__SWIG_14(long jarg1,
                                                     Band jarg1_,
                                                     int jarg2,
                                                     int jarg3,
                                                     int jarg4,
                                                     int jarg5,
                                                     int jarg6,
                                                     int jarg7,
                                                     int jarg8,
                                                     double[] jarg9)

### Band_WriteRaster_Direct__SWIG_0

    public static final int Band_WriteRaster_Direct__SWIG_0(long jarg1,
                                                            Band jarg1_,
                                                            int jarg2,
                                                            int jarg3,
                                                            int jarg4,
                                                            int jarg5,
                                                            int jarg6,
                                                            int jarg7,
                                                            int jarg8,
                                                            ByteBuffer jarg9,
                                                            int jarg11,
                                                            int jarg12)

### Band_WriteRaster_Direct__SWIG_1

    public static final int Band_WriteRaster_Direct__SWIG_1(long jarg1,
                                                            Band jarg1_,
                                                            int jarg2,
                                                            int jarg3,
                                                            int jarg4,
                                                            int jarg5,
                                                            int jarg6,
                                                            int jarg7,
                                                            int jarg8,
                                                            ByteBuffer jarg9,
                                                            int jarg11)

### Band_WriteRaster_Direct__SWIG_2

    public static final int Band_WriteRaster_Direct__SWIG_2(long jarg1,
                                                            Band jarg1_,
                                                            int jarg2,
                                                            int jarg3,
                                                            int jarg4,
                                                            int jarg5,
                                                            int jarg6,
                                                            int jarg7,
                                                            int jarg8,
                                                            ByteBuffer jarg9)

### Band_WriteRaster__SWIG_0

    public static final int Band_WriteRaster__SWIG_0(long jarg1,
                                                     Band jarg1_,
                                                     int jarg2,
                                                     int jarg3,
                                                     int jarg4,
                                                     int jarg5,
                                                     int jarg6,
                                                     int jarg7,
                                                     int jarg8,
                                                     byte[] jarg9,
                                                     int jarg11,
                                                     int jarg12)

### Band_WriteRaster__SWIG_1

    public static final int Band_WriteRaster__SWIG_1(long jarg1,
                                                     Band jarg1_,
                                                     int jarg2,
                                                     int jarg3,
                                                     int jarg4,
                                                     int jarg5,
                                                     int jarg6,
                                                     int jarg7,
                                                     int jarg8,
                                                     byte[] jarg9,
                                                     int jarg11)

### Band_WriteRaster__SWIG_2

    public static final int Band_WriteRaster__SWIG_2(long jarg1,
                                                     Band jarg1_,
                                                     int jarg2,
                                                     int jarg3,
                                                     int jarg4,
                                                     int jarg5,
                                                     int jarg6,
                                                     int jarg7,
                                                     int jarg8,
                                                     byte[] jarg9)

### Band_WriteRaster__SWIG_3

    public static final int Band_WriteRaster__SWIG_3(long jarg1,
                                                     Band jarg1_,
                                                     int jarg2,
                                                     int jarg3,
                                                     int jarg4,
                                                     int jarg5,
                                                     int jarg6,
                                                     int jarg7,
                                                     int jarg8,
                                                     short[] jarg9,
                                                     int jarg11,
                                                     int jarg12)

### Band_WriteRaster__SWIG_4

    public static final int Band_WriteRaster__SWIG_4(long jarg1,
                                                     Band jarg1_,
                                                     int jarg2,
                                                     int jarg3,
                                                     int jarg4,
                                                     int jarg5,
                                                     int jarg6,
                                                     int jarg7,
                                                     int jarg8,
                                                     short[] jarg9,
                                                     int jarg11)

### Band_WriteRaster__SWIG_5

    public static final int Band_WriteRaster__SWIG_5(long jarg1,
                                                     Band jarg1_,
                                                     int jarg2,
                                                     int jarg3,
                                                     int jarg4,
                                                     int jarg5,
                                                     int jarg6,
                                                     int jarg7,
                                                     int jarg8,
                                                     short[] jarg9)

### Band_WriteRaster__SWIG_6

    public static final int Band_WriteRaster__SWIG_6(long jarg1,
                                                     Band jarg1_,
                                                     int jarg2,
                                                     int jarg3,
                                                     int jarg4,
                                                     int jarg5,
                                                     int jarg6,
                                                     int jarg7,
                                                     int jarg8,
                                                     int[] jarg9,
                                                     int jarg11,
                                                     int jarg12)

### Band_WriteRaster__SWIG_7

    public static final int Band_WriteRaster__SWIG_7(long jarg1,
                                                     Band jarg1_,
                                                     int jarg2,
                                                     int jarg3,
                                                     int jarg4,
                                                     int jarg5,
                                                     int jarg6,
                                                     int jarg7,
                                                     int jarg8,
                                                     int[] jarg9,
                                                     int jarg11)

### Band_WriteRaster__SWIG_8

    public static final int Band_WriteRaster__SWIG_8(long jarg1,
                                                     Band jarg1_,
                                                     int jarg2,
                                                     int jarg3,
                                                     int jarg4,
                                                     int jarg5,
                                                     int jarg6,
                                                     int jarg7,
                                                     int jarg8,
                                                     int[] jarg9)

### Band_WriteRaster__SWIG_9

    public static final int Band_WriteRaster__SWIG_9(long jarg1,
                                                     Band jarg1_,
                                                     int jarg2,
                                                     int jarg3,
                                                     int jarg4,
                                                     int jarg5,
                                                     int jarg6,
                                                     int jarg7,
                                                     int jarg8,
                                                     float[] jarg9,
                                                     int jarg11,
                                                     int jarg12)

### Band_WriteRaster__SWIG_10

    public static final int Band_WriteRaster__SWIG_10(long jarg1,
                                                      Band jarg1_,
                                                      int jarg2,
                                                      int jarg3,
                                                      int jarg4,
                                                      int jarg5,
                                                      int jarg6,
                                                      int jarg7,
                                                      int jarg8,
                                                      float[] jarg9,
                                                      int jarg11)

### Band_WriteRaster__SWIG_11

    public static final int Band_WriteRaster__SWIG_11(long jarg1,
                                                      Band jarg1_,
                                                      int jarg2,
                                                      int jarg3,
                                                      int jarg4,
                                                      int jarg5,
                                                      int jarg6,
                                                      int jarg7,
                                                      int jarg8,
                                                      float[] jarg9)

### Band_WriteRaster__SWIG_12

    public static final int Band_WriteRaster__SWIG_12(long jarg1,
                                                      Band jarg1_,
                                                      int jarg2,
                                                      int jarg3,
                                                      int jarg4,
                                                      int jarg5,
                                                      int jarg6,
                                                      int jarg7,
                                                      int jarg8,
                                                      double[] jarg9,
                                                      int jarg11,
                                                      int jarg12)

### Band_WriteRaster__SWIG_13

    public static final int Band_WriteRaster__SWIG_13(long jarg1,
                                                      Band jarg1_,
                                                      int jarg2,
                                                      int jarg3,
                                                      int jarg4,
                                                      int jarg5,
                                                      int jarg6,
                                                      int jarg7,
                                                      int jarg8,
                                                      double[] jarg9,
                                                      int jarg11)

### Band_WriteRaster__SWIG_14

    public static final int Band_WriteRaster__SWIG_14(long jarg1,
                                                      Band jarg1_,
                                                      int jarg2,
                                                      int jarg3,
                                                      int jarg4,
                                                      int jarg5,
                                                      int jarg6,
                                                      int jarg7,
                                                      int jarg8,
                                                      double[] jarg9)

### Band_ReadBlock_Direct

    public static final int Band_ReadBlock_Direct(long jarg1,
                                                  Band jarg1_,
                                                  int jarg2,
                                                  int jarg3,
                                                  ByteBuffer jarg4)

### Band_WriteBlock_Direct

    public static final int Band_WriteBlock_Direct(long jarg1,
                                                   Band jarg1_,
                                                   int jarg2,
                                                   int jarg3,
                                                   ByteBuffer jarg4)

### Band_GetHistogram__SWIG_0

    public static final int Band_GetHistogram__SWIG_0(long jarg1,
                                                      Band jarg1_,
                                                      double jarg2,
                                                      double jarg3,
                                                      int[] jarg4,
                                                      boolean jarg6,
                                                      boolean jarg7,
                                                      ProgressCallback jarg8)

### Band_GetHistogram__SWIG_1

    public static final int Band_GetHistogram__SWIG_1(long jarg1,
                                                      Band jarg1_,
                                                      double jarg2,
                                                      double jarg3,
                                                      int[] jarg4,
                                                      boolean jarg6,
                                                      boolean jarg7)

### Band_GetHistogram__SWIG_2

    public static final int Band_GetHistogram__SWIG_2(long jarg1,
                                                      Band jarg1_,
                                                      double jarg2,
                                                      double jarg3,
                                                      int[] jarg4)

### Band_GetHistogram__SWIG_3

    public static final int Band_GetHistogram__SWIG_3(long jarg1,
                                                      Band jarg1_,
                                                      int[] jarg2)

### Band_GetDefaultHistogram__SWIG_0

    public static final int Band_GetDefaultHistogram__SWIG_0(long jarg1,
                                                             Band jarg1_,
                                                             double[] jarg2,
                                                             double[] jarg3,
                                                             int[][] jarg4,
                                                             boolean jarg6,
                                                             ProgressCallback jarg7)

### Band_GetDefaultHistogram__SWIG_2

    public static final int Band_GetDefaultHistogram__SWIG_2(long jarg1,
                                                             Band jarg1_,
                                                             double[] jarg2,
                                                             double[] jarg3,
                                                             int[][] jarg4,
                                                             boolean jarg6)

### Band_GetDefaultHistogram__SWIG_3

    public static final int Band_GetDefaultHistogram__SWIG_3(long jarg1,
                                                             Band jarg1_,
                                                             double[] jarg2,
                                                             double[] jarg3,
                                                             int[][] jarg4)

### new_ColorTable__SWIG_0

    public static final long new_ColorTable__SWIG_0(int jarg1)

### new_ColorTable__SWIG_1

    public static final long new_ColorTable__SWIG_1()

### delete_ColorTable

    public static final void delete_ColorTable(long jarg1)

### ColorTable_Clone

    public static final long ColorTable_Clone(long jarg1,
                                              ColorTable jarg1_)

### ColorTable_GetPaletteInterpretation

    public static final int ColorTable_GetPaletteInterpretation(long jarg1,
                                                                ColorTable jarg1_)

### ColorTable_GetCount

    public static final int ColorTable_GetCount(long jarg1,
                                                ColorTable jarg1_)

### ColorTable_GetColorEntry

    public static final Color ColorTable_GetColorEntry(long jarg1,
                                                       ColorTable jarg1_,
                                                       int jarg2)

### ColorTable_SetColorEntry

    public static final void ColorTable_SetColorEntry(long jarg1,
                                                      ColorTable jarg1_,
                                                      int jarg2,
                                                      Color jarg3)

### ColorTable_CreateColorRamp

    public static final void ColorTable_CreateColorRamp(long jarg1,
                                                        ColorTable jarg1_,
                                                        int jarg2,
                                                        Color jarg3,
                                                        int jarg4,
                                                        Color jarg5)

### new_RasterAttributeTable

    public static final long new_RasterAttributeTable()

### delete_RasterAttributeTable

    public static final void delete_RasterAttributeTable(long jarg1)

### RasterAttributeTable_Clone

    public static final long RasterAttributeTable_Clone(long jarg1,
                                                        RasterAttributeTable jarg1_)

### RasterAttributeTable_GetColumnCount

    public static final int RasterAttributeTable_GetColumnCount(long jarg1,
                                                                RasterAttributeTable jarg1_)

### RasterAttributeTable_GetNameOfCol

    public static final String RasterAttributeTable_GetNameOfCol(long jarg1,
                                                                 RasterAttributeTable jarg1_,
                                                                 int jarg2)

### RasterAttributeTable_GetUsageOfCol

    public static final int RasterAttributeTable_GetUsageOfCol(long jarg1,
                                                               RasterAttributeTable jarg1_,
                                                               int jarg2)

### RasterAttributeTable_GetTypeOfCol

    public static final int RasterAttributeTable_GetTypeOfCol(long jarg1,
                                                              RasterAttributeTable jarg1_,
                                                              int jarg2)

### RasterAttributeTable_GetColOfUsage

    public static final int RasterAttributeTable_GetColOfUsage(long jarg1,
                                                               RasterAttributeTable jarg1_,
                                                               int jarg2)

### RasterAttributeTable_GetRowCount

    public static final int RasterAttributeTable_GetRowCount(long jarg1,
                                                             RasterAttributeTable jarg1_)

### RasterAttributeTable_GetValueAsString

    public static final String RasterAttributeTable_GetValueAsString(long jarg1,
                                                                     RasterAttributeTable jarg1_,
                                                                     int jarg2,
                                                                     int jarg3)

### RasterAttributeTable_GetValueAsInt

    public static final int RasterAttributeTable_GetValueAsInt(long jarg1,
                                                               RasterAttributeTable jarg1_,
                                                               int jarg2,
                                                               int jarg3)

### RasterAttributeTable_GetValueAsDouble

    public static final double RasterAttributeTable_GetValueAsDouble(long jarg1,
                                                                     RasterAttributeTable jarg1_,
                                                                     int jarg2,
                                                                     int jarg3)

### RasterAttributeTable_SetValueAsString

    public static final void RasterAttributeTable_SetValueAsString(long jarg1,
                                                                   RasterAttributeTable jarg1_,
                                                                   int jarg2,
                                                                   int jarg3,
                                                                   String jarg4)

### RasterAttributeTable_SetValueAsInt

    public static final void RasterAttributeTable_SetValueAsInt(long jarg1,
                                                                RasterAttributeTable jarg1_,
                                                                int jarg2,
                                                                int jarg3,
                                                                int jarg4)

### RasterAttributeTable_SetValueAsDouble

    public static final void RasterAttributeTable_SetValueAsDouble(long jarg1,
                                                                   RasterAttributeTable jarg1_,
                                                                   int jarg2,
                                                                   int jarg3,
                                                                   double jarg4)

### RasterAttributeTable_SetRowCount

    public static final void RasterAttributeTable_SetRowCount(long jarg1,
                                                              RasterAttributeTable jarg1_,
                                                              int jarg2)

### RasterAttributeTable_CreateColumn

    public static final int RasterAttributeTable_CreateColumn(long jarg1,
                                                              RasterAttributeTable jarg1_,
                                                              String jarg2,
                                                              int jarg3,
                                                              int jarg4)

### RasterAttributeTable_GetLinearBinning

    public static final boolean RasterAttributeTable_GetLinearBinning(long jarg1,
                                                                      RasterAttributeTable jarg1_,
                                                                      double[] jarg2,
                                                                      double[] jarg3)

### RasterAttributeTable_SetLinearBinning

    public static final int RasterAttributeTable_SetLinearBinning(long jarg1,
                                                                  RasterAttributeTable jarg1_,
                                                                  double jarg2,
                                                                  double jarg3)

### RasterAttributeTable_GetRowOfValue

    public static final int RasterAttributeTable_GetRowOfValue(long jarg1,
                                                               RasterAttributeTable jarg1_,
                                                               double jarg2)

### ComputeMedianCutPCT__SWIG_0

    public static final int ComputeMedianCutPCT__SWIG_0(long jarg1,
                                                        Band jarg1_,
                                                        long jarg2,
                                                        Band jarg2_,
                                                        long jarg3,
                                                        Band jarg3_,
                                                        int jarg4,
                                                        long jarg5,
                                                        ColorTable jarg5_,
                                                        ProgressCallback jarg6)

### ComputeMedianCutPCT__SWIG_2

    public static final int ComputeMedianCutPCT__SWIG_2(long jarg1,
                                                        Band jarg1_,
                                                        long jarg2,
                                                        Band jarg2_,
                                                        long jarg3,
                                                        Band jarg3_,
                                                        int jarg4,
                                                        long jarg5,
                                                        ColorTable jarg5_)

### DitherRGB2PCT__SWIG_0

    public static final int DitherRGB2PCT__SWIG_0(long jarg1,
                                                  Band jarg1_,
                                                  long jarg2,
                                                  Band jarg2_,
                                                  long jarg3,
                                                  Band jarg3_,
                                                  long jarg4,
                                                  Band jarg4_,
                                                  long jarg5,
                                                  ColorTable jarg5_,
                                                  ProgressCallback jarg6)

### DitherRGB2PCT__SWIG_2

    public static final int DitherRGB2PCT__SWIG_2(long jarg1,
                                                  Band jarg1_,
                                                  long jarg2,
                                                  Band jarg2_,
                                                  long jarg3,
                                                  Band jarg3_,
                                                  long jarg4,
                                                  Band jarg4_,
                                                  long jarg5,
                                                  ColorTable jarg5_)

### ReprojectImage__SWIG_0

    public static final int ReprojectImage__SWIG_0(long jarg1,
                                                   Dataset jarg1_,
                                                   long jarg2,
                                                   Dataset jarg2_,
                                                   String jarg3,
                                                   String jarg4,
                                                   int jarg5,
                                                   double jarg6,
                                                   double jarg7,
                                                   ProgressCallback jarg8)

### ReprojectImage__SWIG_2

    public static final int ReprojectImage__SWIG_2(long jarg1,
                                                   Dataset jarg1_,
                                                   long jarg2,
                                                   Dataset jarg2_,
                                                   String jarg3,
                                                   String jarg4,
                                                   int jarg5,
                                                   double jarg6,
                                                   double jarg7)

### ReprojectImage__SWIG_3

    public static final int ReprojectImage__SWIG_3(long jarg1,
                                                   Dataset jarg1_,
                                                   long jarg2,
                                                   Dataset jarg2_,
                                                   String jarg3,
                                                   String jarg4,
                                                   int jarg5,
                                                   double jarg6)

### ReprojectImage__SWIG_4

    public static final int ReprojectImage__SWIG_4(long jarg1,
                                                   Dataset jarg1_,
                                                   long jarg2,
                                                   Dataset jarg2_,
                                                   String jarg3,
                                                   String jarg4,
                                                   int jarg5)

### ReprojectImage__SWIG_5

    public static final int ReprojectImage__SWIG_5(long jarg1,
                                                   Dataset jarg1_,
                                                   long jarg2,
                                                   Dataset jarg2_,
                                                   String jarg3,
                                                   String jarg4)

### ReprojectImage__SWIG_6

    public static final int ReprojectImage__SWIG_6(long jarg1,
                                                   Dataset jarg1_,
                                                   long jarg2,
                                                   Dataset jarg2_,
                                                   String jarg3)

### ReprojectImage__SWIG_7

    public static final int ReprojectImage__SWIG_7(long jarg1,
                                                   Dataset jarg1_,
                                                   long jarg2,
                                                   Dataset jarg2_)

### ComputeProximity__SWIG_0

    public static final int ComputeProximity__SWIG_0(long jarg1,
                                                     Band jarg1_,
                                                     long jarg2,
                                                     Band jarg2_,
                                                     Vector jarg3,
                                                     ProgressCallback jarg4)

### ComputeProximity__SWIG_2

    public static final int ComputeProximity__SWIG_2(long jarg1,
                                                     Band jarg1_,
                                                     long jarg2,
                                                     Band jarg2_,
                                                     Vector jarg3)

### ComputeProximity__SWIG_3

    public static final int ComputeProximity__SWIG_3(long jarg1,
                                                     Band jarg1_,
                                                     long jarg2,
                                                     Band jarg2_)

### RasterizeLayer__SWIG_0

    public static final int RasterizeLayer__SWIG_0(long jarg1,
                                                   Dataset jarg1_,
                                                   int[] jarg2,
                                                   Layer jarg4,
                                                   double[] jarg5,
                                                   Vector jarg7,
                                                   ProgressCallback jarg8)

### RasterizeLayer__SWIG_2

    public static final int RasterizeLayer__SWIG_2(long jarg1,
                                                   Dataset jarg1_,
                                                   int[] jarg2,
                                                   Layer jarg4,
                                                   double[] jarg5,
                                                   Vector jarg7)

### RasterizeLayer__SWIG_3

    public static final int RasterizeLayer__SWIG_3(long jarg1,
                                                   Dataset jarg1_,
                                                   int[] jarg2,
                                                   Layer jarg4,
                                                   double[] jarg5)

### RasterizeLayer__SWIG_5

    public static final int RasterizeLayer__SWIG_5(long jarg1,
                                                   Dataset jarg1_,
                                                   int[] jarg2,
                                                   Layer jarg4)

### Polygonize__SWIG_0

    public static final int Polygonize__SWIG_0(long jarg1,
                                               Band jarg1_,
                                               long jarg2,
                                               Band jarg2_,
                                               Layer jarg3,
                                               int jarg4,
                                               Vector jarg5,
                                               ProgressCallback jarg6)

### Polygonize__SWIG_2

    public static final int Polygonize__SWIG_2(long jarg1,
                                               Band jarg1_,
                                               long jarg2,
                                               Band jarg2_,
                                               Layer jarg3,
                                               int jarg4,
                                               Vector jarg5)

### Polygonize__SWIG_3

    public static final int Polygonize__SWIG_3(long jarg1,
                                               Band jarg1_,
                                               long jarg2,
                                               Band jarg2_,
                                               Layer jarg3,
                                               int jarg4)

### FillNodata__SWIG_0

    public static final int FillNodata__SWIG_0(long jarg1,
                                               Band jarg1_,
                                               long jarg2,
                                               Band jarg2_,
                                               double jarg3,
                                               int jarg4,
                                               Vector jarg5,
                                               ProgressCallback jarg6)

### FillNodata__SWIG_2

    public static final int FillNodata__SWIG_2(long jarg1,
                                               Band jarg1_,
                                               long jarg2,
                                               Band jarg2_,
                                               double jarg3,
                                               int jarg4,
                                               Vector jarg5)

### FillNodata__SWIG_3

    public static final int FillNodata__SWIG_3(long jarg1,
                                               Band jarg1_,
                                               long jarg2,
                                               Band jarg2_,
                                               double jarg3,
                                               int jarg4)

### SieveFilter__SWIG_0

    public static final int SieveFilter__SWIG_0(long jarg1,
                                                Band jarg1_,
                                                long jarg2,
                                                Band jarg2_,
                                                long jarg3,
                                                Band jarg3_,
                                                int jarg4,
                                                int jarg5,
                                                Vector jarg6,
                                                ProgressCallback jarg7)

### SieveFilter__SWIG_2

    public static final int SieveFilter__SWIG_2(long jarg1,
                                                Band jarg1_,
                                                long jarg2,
                                                Band jarg2_,
                                                long jarg3,
                                                Band jarg3_,
                                                int jarg4,
                                                int jarg5,
                                                Vector jarg6)

### SieveFilter__SWIG_3

    public static final int SieveFilter__SWIG_3(long jarg1,
                                                Band jarg1_,
                                                long jarg2,
                                                Band jarg2_,
                                                long jarg3,
                                                Band jarg3_,
                                                int jarg4,
                                                int jarg5)

### SieveFilter__SWIG_4

    public static final int SieveFilter__SWIG_4(long jarg1,
                                                Band jarg1_,
                                                long jarg2,
                                                Band jarg2_,
                                                long jarg3,
                                                Band jarg3_,
                                                int jarg4)

### RegenerateOverviews__SWIG_0

    public static final int RegenerateOverviews__SWIG_0(long jarg1,
                                                        Band jarg1_,
                                                        Band[] jarg2,
                                                        String jarg4,
                                                        ProgressCallback jarg5)

### RegenerateOverviews__SWIG_2

    public static final int RegenerateOverviews__SWIG_2(long jarg1,
                                                        Band jarg1_,
                                                        Band[] jarg2,
                                                        String jarg4)

### RegenerateOverviews__SWIG_3

    public static final int RegenerateOverviews__SWIG_3(long jarg1,
                                                        Band jarg1_,
                                                        Band[] jarg2)

### RegenerateOverview__SWIG_0

    public static final int RegenerateOverview__SWIG_0(long jarg1,
                                                       Band jarg1_,
                                                       long jarg2,
                                                       Band jarg2_,
                                                       String jarg3,
                                                       ProgressCallback jarg4)

### RegenerateOverview__SWIG_2

    public static final int RegenerateOverview__SWIG_2(long jarg1,
                                                       Band jarg1_,
                                                       long jarg2,
                                                       Band jarg2_,
                                                       String jarg3)

### RegenerateOverview__SWIG_3

    public static final int RegenerateOverview__SWIG_3(long jarg1,
                                                       Band jarg1_,
                                                       long jarg2,
                                                       Band jarg2_)

### GridCreate__SWIG_0

    public static final int GridCreate__SWIG_0(String jarg1,
                                               double[][] jarg2,
                                               double jarg6,
                                               double jarg7,
                                               double jarg8,
                                               double jarg9,
                                               int jarg10,
                                               int jarg11,
                                               int jarg12,
                                               ByteBuffer jarg13,
                                               ProgressCallback jarg15)

### GridCreate__SWIG_2

    public static final int GridCreate__SWIG_2(String jarg1,
                                               double[][] jarg2,
                                               double jarg6,
                                               double jarg7,
                                               double jarg8,
                                               double jarg9,
                                               int jarg10,
                                               int jarg11,
                                               int jarg12,
                                               ByteBuffer jarg13)

### ContourGenerate__SWIG_0

    public static final int ContourGenerate__SWIG_0(long jarg1,
                                                    Band jarg1_,
                                                    double jarg2,
                                                    double jarg3,
                                                    double[] jarg4,
                                                    int jarg6,
                                                    double jarg7,
                                                    Layer jarg8,
                                                    int jarg9,
                                                    int jarg10,
                                                    ProgressCallback jarg11)

### ContourGenerate__SWIG_2

    public static final int ContourGenerate__SWIG_2(long jarg1,
                                                    Band jarg1_,
                                                    double jarg2,
                                                    double jarg3,
                                                    double[] jarg4,
                                                    int jarg6,
                                                    double jarg7,
                                                    Layer jarg8,
                                                    int jarg9,
                                                    int jarg10)

### AutoCreateWarpedVRT__SWIG_0

    public static final long AutoCreateWarpedVRT__SWIG_0(long jarg1,
                                                         Dataset jarg1_,
                                                         String jarg2,
                                                         String jarg3,
                                                         int jarg4,
                                                         double jarg5)

### AutoCreateWarpedVRT__SWIG_1

    public static final long AutoCreateWarpedVRT__SWIG_1(long jarg1,
                                                         Dataset jarg1_,
                                                         String jarg2,
                                                         String jarg3,
                                                         int jarg4)

### AutoCreateWarpedVRT__SWIG_2

    public static final long AutoCreateWarpedVRT__SWIG_2(long jarg1,
                                                         Dataset jarg1_,
                                                         String jarg2,
                                                         String jarg3)

### AutoCreateWarpedVRT__SWIG_3

    public static final long AutoCreateWarpedVRT__SWIG_3(long jarg1,
                                                         Dataset jarg1_,
                                                         String jarg2)

### AutoCreateWarpedVRT__SWIG_4

    public static final long AutoCreateWarpedVRT__SWIG_4(long jarg1,
                                                         Dataset jarg1_)

### new_Transformer

    public static final long new_Transformer(long jarg1,
                                             Dataset jarg1_,
                                             long jarg2,
                                             Dataset jarg2_,
                                             Vector jarg3)

### delete_Transformer

    public static final void delete_Transformer(long jarg1)

### Transformer_TransformPoint__SWIG_0

    public static final int Transformer_TransformPoint__SWIG_0(long jarg1,
                                                               Transformer jarg1_,
                                                               int jarg2,
                                                               double[] jarg3)

### Transformer_TransformPoint__SWIG_1

    public static final int Transformer_TransformPoint__SWIG_1(long jarg1,
                                                               Transformer jarg1_,
                                                               double[] jarg2,
                                                               int jarg3,
                                                               double jarg4,
                                                               double jarg5,
                                                               double jarg6)

### Transformer_TransformPoint__SWIG_2

    public static final int Transformer_TransformPoint__SWIG_2(long jarg1,
                                                               Transformer jarg1_,
                                                               double[] jarg2,
                                                               int jarg3,
                                                               double jarg4,
                                                               double jarg5)

### Transformer_TransformPoints

    public static final int Transformer_TransformPoints(long jarg1,
                                                        Transformer jarg1_,
                                                        int jarg2,
                                                        double[][] jarg3,
                                                        int[] jarg7)

### Transformer_TransformGeolocations__SWIG_0

    public static final int Transformer_TransformGeolocations__SWIG_0(long jarg1,
                                                                      Transformer jarg1_,
                                                                      long jarg2,
                                                                      Band jarg2_,
                                                                      long jarg3,
                                                                      Band jarg3_,
                                                                      long jarg4,
                                                                      Band jarg4_,
                                                                      ProgressCallback jarg5,
                                                                      Vector jarg7)

### Transformer_TransformGeolocations__SWIG_1

    public static final int Transformer_TransformGeolocations__SWIG_1(long jarg1,
                                                                      Transformer jarg1_,
                                                                      long jarg2,
                                                                      Band jarg2_,
                                                                      long jarg3,
                                                                      Band jarg3_,
                                                                      long jarg4,
                                                                      Band jarg4_,
                                                                      ProgressCallback jarg5)

### Transformer_TransformGeolocations__SWIG_3

    public static final int Transformer_TransformGeolocations__SWIG_3(long jarg1,
                                                                      Transformer jarg1_,
                                                                      long jarg2,
                                                                      Band jarg2_,
                                                                      long jarg3,
                                                                      Band jarg3_,
                                                                      long jarg4,
                                                                      Band jarg4_)

### ApplyGeoTransform

    public static final void ApplyGeoTransform(double[] jarg1,
                                               double jarg2,
                                               double jarg3,
                                               double[] jarg4,
                                               double[] jarg5)

### InvGeoTransform

    public static final int InvGeoTransform(double[] jarg1,
                                            double[] jarg2)

### VersionInfo__SWIG_0

    public static final String VersionInfo__SWIG_0(String jarg1)

### VersionInfo__SWIG_1

    public static final String VersionInfo__SWIG_1()

### AllRegister

    public static final void AllRegister()

### GDALDestroyDriverManager

    public static final void GDALDestroyDriverManager()

### GetCacheMax

    public static final int GetCacheMax()

### GetCacheUsed

    public static final int GetCacheUsed()

### SetCacheMax

    public static final void SetCacheMax(int jarg1)

### GetDataTypeSize

    public static final int GetDataTypeSize(int jarg1)

### DataTypeIsComplex

    public static final int DataTypeIsComplex(int jarg1)

### GetDataTypeName

    public static final String GetDataTypeName(int jarg1)

### GetDataTypeByName

    public static final int GetDataTypeByName(String jarg1)

### GetColorInterpretationName

    public static final String GetColorInterpretationName(int jarg1)

### GetPaletteInterpretationName

    public static final String GetPaletteInterpretationName(int jarg1)

### DecToDMS__SWIG_0

    public static final String DecToDMS__SWIG_0(double jarg1,
                                                String jarg2,
                                                int jarg3)

### DecToDMS__SWIG_1

    public static final String DecToDMS__SWIG_1(double jarg1,
                                                String jarg2)

### PackedDMSToDec

    public static final double PackedDMSToDec(double jarg1)

### DecToPackedDMS

    public static final double DecToPackedDMS(double jarg1)

### ParseXMLString

    public static final long ParseXMLString(String jarg1)

### SerializeXMLTree

    public static final String SerializeXMLTree(long jarg1,
                                                XMLNode jarg1_)

### GetDriverCount

    public static final int GetDriverCount()

### GetDriverByName

    public static final long GetDriverByName(String jarg1)

### GetDriver

    public static final long GetDriver(int jarg1)

### Open__SWIG_0

    public static final long Open__SWIG_0(String jarg1,
                                          int jarg2)

### Open__SWIG_1

    public static final long Open__SWIG_1(String jarg1)

### OpenShared__SWIG_0

    public static final long OpenShared__SWIG_0(String jarg1,
                                                int jarg2)

### OpenShared__SWIG_1

    public static final long OpenShared__SWIG_1(String jarg1)

### IdentifyDriver__SWIG_0

    public static final long IdentifyDriver__SWIG_0(String jarg1,
                                                    Vector jarg2)

### IdentifyDriver__SWIG_1

    public static final long IdentifyDriver__SWIG_1(String jarg1)

### GeneralCmdLineProcessor__SWIG_0

    public static final Vector GeneralCmdLineProcessor__SWIG_0(Vector jarg1,
                                                               int jarg2)

### GeneralCmdLineProcessor__SWIG_1

    public static final Vector GeneralCmdLineProcessor__SWIG_1(Vector jarg1)

### TermProgressCallback_SWIGUpcast

    public static final long TermProgressCallback_SWIGUpcast(long jarg1)

### Driver_SWIGUpcast

    public static final long Driver_SWIGUpcast(long jarg1)

### Dataset_SWIGUpcast

    public static final long Dataset_SWIGUpcast(long jarg1)

### Band_SWIGUpcast

    public static final long Band_SWIGUpcast(long jarg1)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD